=== release 1.0.2 ===

2012-10-25  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  releasing 1.0.2

2012-10-24 20:10:03 +0800  Scott Fan <fanchp@neusoft.com>

	* gst/asfdemux/Makefile.am:
	* gst/realmedia/Makefile.am:
	  Makefile.am: Fix typos for generating the Android.mk files
	  Change libgstasfdemux to libgstasf, and change libgstrealmedia to libgstrmdemux.
	  The typos led to generate the incorrect Android.mk files for the asfdemux
	  and realmedia plugin.
	  https://bugzilla.gnome.org/show_bug.cgi?id=686748

2012-10-18 22:19:04 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: correctly set next cell when seeking to sector

2012-10-18 22:18:28 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/dvdsub/gstdvdsubparse.c:
	  dvdsubparse: send src caps when receiving sink caps

2012-10-12 14:49:28 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: update dvd event to enhanced approach
	  ... in line with resindvdsrc.

2012-10-07 17:08:37 +0100  Tim-Philipp Müller <tim@centricular.net>

	* docs/Makefile.am:
	  docs: add 'make upload' target for new-release script

2012-10-07 16:58:10 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* win32/common/config.h:
	  Back to development (bug fixing)

=== release 1.0.1 ===

2012-10-07 16:13:11 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.0.1

2012-10-06 14:58:34 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 6c0b52c to 6bb6951

2012-10-01 00:01:09 +1000  Jan Schmidt <thaytan@noraisin.net>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Don't error out when there is no associated buffer
	  In 0.10, having mpeg2dec occasionally tell us to output a frame that
	  was never decoded was just ignored, so do the same in 1.0
	  Fixes: #685107

2012-09-29 12:13:00 +0100  Tim-Philipp Müller <tim@centricular.net>

	* REQUIREMENTS:
	* gst/dvdsub/gstdvdsubdec.c:
	  Purge mention of liboil and update REQUIREMENTS
	  https://bugzilla.gnome.org/show_bug.cgi?id=673285

2012-09-26 01:04:32 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/x264/gstx264enc.c:
	  x264enc: when setting fallback decoder latency, set valid min_latency
	  Min. latency needs to be a valid time, so pass 0 as default
	  value in the fallback case where we can't determine any latency,
	  and avoid nasty criticals at runtime.

2012-09-24 16:52:23 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* win32/common/config.h:
	  Back to development (bug fixing)

=== release 1.0.0 ===

2012-09-24 14:32:12 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 1.0.0

2012-09-22 16:08:54 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 4f962f7 to 6c0b52c

=== release 0.11.99 ===

2012-09-17 17:59:57 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-xingmux.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.99

2012-09-17 16:57:53 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update docs

2012-09-17 16:57:30 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/twolame/Makefile.am:
	* tests/check/Makefile.am:
	  Remove -DGST_USE_UNSTABLE_API

2012-09-17 12:22:51 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  Update docs

2012-09-17 10:53:12 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/cdio/gstcdio.c:
	  cdio: work around cdio headers re-defining VERSION and PACKAGE_VERSION
	  Thanks guys. Fixes plugin version in gst-inspect-1.0 and docs
	  introspection/updating for this plugin.

2012-09-15 22:23:53 +0200  Christian Fredrik Kalager Schaller <uraeus@linuxrisin.org>

	* gst-plugins-ugly.spec.in:
	  Switch to F18 package naming

2012-09-14 16:28:54 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/dvdread/demo-play:
	* tests/check/elements/mpeg2dec.c:
	  rename some caps and elements in examples

2012-09-14 02:58:26 +0100  Tim-Philipp Müller <tim@centricular.net>

	* configure.ac:
	  Back to development

=== release 0.11.94 ===

2012-09-14 02:49:34 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ChangeLog:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.94

2012-09-14 01:48:50 +0100  Tim-Philipp Müller <tim@centricular.net>

	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/gst-plugins-ugly-plugins.signals:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update docs

2012-09-13 13:49:33 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: use DTS and PTS
	  Video uses DTS as timestamps. Set the DTS on the buffers and leave the PTS
	  undefined to make the decoder do the right thing. We can then remove the code
	  that tries to guess the PTS from the DTS.

2012-09-10 22:30:18 -0700  Jan Schmidt <thaytan@noraisin.net>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Hold ref to buffer while mapped
	  So that the buffer still exists when we go to unmap it later,
	  even if it got pushed in the meantime.

2012-09-11 16:48:51 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/x264enc.c:
	  x264enc test: x264enc produces constrained-baseline, not the full baseline

2012-09-11 17:37:03 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  gst: only activate in pull mode if upstream is seekable

2012-09-11 11:28:06 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rademux.c:
	  rademux: tags can be NULL

2012-09-11 11:13:31 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: fix email address

2012-09-11 11:12:38 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: init base class method only once

2012-09-11 10:46:52 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/xingmux/gstxingmux.c:
	  xingmux: remove defunct commented code

2012-09-11 10:40:01 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvbsubdec: handle and send GAP event
	  ... in stead of update newsegment event.

2012-09-11 10:34:40 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvbsubdec: adjust disabled code comment style

2012-09-09 15:48:57 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: clean up some debug statements

2012-09-07 17:38:18 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: handle possibly negative DTS provided by codec
	  ... by arranging for an offset such that DTS == PTS for keyframes,
	  which is expected elsewhere to go along with semantics of PTS and DTS.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=679443

2012-09-07 13:31:15 +0200  Christian Fredrik Kalager Schaller <uraeus@linuxrisin.org>

	* gst-plugins-ugly.spec.in:
	  Fix spec file for ugly

2012-09-06 14:42:51 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/mpeg2dec.c:
	  tests: mpeg2dec: initialize variable
	  ... which avoids test segfaulting.

2012-08-30 16:26:00 -0700  Edward Hervey <edward@collabora.com>

	* tests/check/elements/mpeg2dec.c:
	  check: Feed parsed data to mpeg2dec
	  And fix the expected output caps by adding colorimetry field

2012-08-22 13:31:00 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 668acee to 4f962f7

2012-08-22 13:19:01 +0200  Stefan Sauer <ensonic@users.sf.net>

	* configure.ac:
	  configure: bump gtk-doc req to 1.12 (mar-2009)
	  This allows us to e.g. unconditionally use gtkdoc-rebase.

2012-08-20 23:32:32 +0100  Tim-Philipp Müller <tim@centricular.net>

	* docs/plugins/inspect/plugin-dvdsub.xml:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	  video/x-dvd-subpicture -> subpicture/x-dvd

2012-08-09 16:30:10 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Use new video encoder base class API for handling tags

2012-08-08 16:27:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: Set alignment at the correct place of GstAllocationParams

2012-08-08 16:26:41 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  Back to development

=== release 0.11.93 ===

2012-08-08 15:23:53 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.93

2012-08-08 15:23:27 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	* gst/realmedia/rmdemux.c:
	  gst: silence some compiler warnings with -DG_DISABLE_ASSERT

2012-08-06 15:31:50 +0300  Sreerenj Balachandran <sreerenj.balachandran@intel.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: avoid some more invalid timestamp arithmetic
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=681291

2012-08-05 18:30:52 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  gst: Add stream-id to stream-start events

2012-07-27 11:35:52 +0200  Edward Hervey <edward@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Don't use NULL values for fbuf
	  We need to make a difference between the initial dummy buffers (which
	  have a fbuf->id of NULL) and the buffers on which we allocated
	  video frames.

2012-08-05 16:40:57 +0100  Tim-Philipp Müller <tim@centricular.net>

	* common:
	  Automatic update of common submodule
	  From 94ccf4c to 668acee

2012-08-04 16:13:36 +0100  Tim-Philipp Müller <tim@centricular.net>

	* ext/a52dec/gsta52dec.c:
	* ext/lame/gstlamemp3enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmutils.c:
	  gst_tag_list_free -> gst_tag_list_unref

2012-07-28 00:28:27 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  tag: Update for taglist/tag event API changes

2012-07-26 18:30:04 +0200  Edward Hervey <edward@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Avoid dropping first GOP
	  We use the mpeg2_fbuf_t id field as an integer and not as a pointer, so
	  do not check if it is NULL or not.
	  And cleanup a bit of debug

2012-07-25 13:05:17 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rdtmanager.h:
	  rdt: add on-npt-stop signal
	  rtspsrc will look for it.

2012-07-25 12:48:21 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	  rdt: set caps after activating the pad

2012-07-25 12:48:06 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/gstrdtbuffer.c:
	  rdt: reset map info

2012-07-25 09:37:08 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  asfdepay: fix padding correction
	  Fix padding correction. gst_buffer_copy_into() appends the memory to the already
	  existing memory in the target buffer..
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=680536

2012-07-23 13:32:26 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: copy buffer flags when cropping
	  When we crop a buffer, copy the flags as well.

2012-07-23 11:25:34 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix GstVideoInfo pointer

2012-07-23 11:13:05 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Correctly flag output buffer interlaced state
	  If the sequence is not flagged as progressive its buffers are marked
	  interlace mode mixed. There is an individual picture flag indicating
	  whether picture in the sequence are interlaced or not. This is used
	  along with the new GST_VIDEO_BUFFER_FLAG_INTERLACED to correctly and
	  completely indicate the buffer's interlaced state.
	  Also, TFF and RFF should only be set if the sequence is not progressive.

2012-07-23 10:33:33 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  ext: Update for video base classes API changes

2012-07-23 08:45:55 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 98e386f to 94ccf4c

2012-07-20 16:12:45 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: make sure to avoid arithmetic with _NONE timestamp

2012-07-16 17:36:19 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: convert invalid 0 payload TS into GST_CLOCK_TIME_NONE
	  ... so it does not get used as first (valid) payload ts, whereas
	  the first real valid payload ts may be considerably larger.
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=679838

2012-07-20 14:41:57 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: slightly relax supported seek requirements
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=680279

2012-07-19 09:58:50 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Propagate GstFlowReturn where needed
	  It was just ignoring the return values...

2012-07-19 09:56:17 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Store temporary buffers out of the way
	  When mpeg2dec needs to do cropping (because downstream can't handle it),
	  we need temporary buffers to decode to.
	  Use the user_data field to store those, and unify the rest of the code
	  that needs to touch a buffer (regardless of how/where it was allocated).
	  https://bugzilla.gnome.org/show_bug.cgi?id=680194

2012-07-18 18:32:54 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Call gst_video_decoder_negotiate()

2012-07-18 17:21:27 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: give stream tags a different event name so they don't overwrite global tags
	  There can only be one taglist per name for sticky tag events.
	  Needs to be fixed more properly, see
	  https://bugzilla.gnome.org/show_bug.cgi?id=677619

2012-07-18 16:49:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rademux.c:
	  rademux: set/send caps on pad after activating it

2012-07-18 16:46:46 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: set/send caps after activating the source pads
	  Makes sure the caps event isn't dropped immediately.

2012-07-17 20:54:45 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: mustn't drop queries like caps query if not started yet

2012-07-15 20:12:46 +0100  Tim-Philipp Müller <tim@centricular.net>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: extract WM/Year as GstDateTime instead of GDate
	  So we can signal that only the year field is valid.

2012-07-13 15:41:05 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: don't leak payload if we are not pushing it

2012-07-13 13:59:16 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  demuxers: Push STREAM_START when needed

2012-07-13 11:36:40 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asf: don't push on inactive streams

2012-07-12 18:05:10 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: set rank to NONE
	  It should never be autoplugged really, for DVD
	  playback there's rsndvd (or will be, realsoonnow).

2012-07-09 16:27:25 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  fix for allocator API changes

2012-07-06 11:50:55 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  update for query api changes

2012-07-06 11:27:27 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  update for query api changes

2012-07-06 11:03:19 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  update for allocation query changes

2012-07-05 23:23:33 +0100  Tim-Philipp Müller <tim@centricular.net>

	* LICENSE_readme:
	  LICENSE_readme: fix typo

2012-07-05 22:48:18 +0100  Tim-Philipp Müller <tim@centricular.net>

	* LICENSE_readme:
	  LICENSE_readme: mention x264
	  https://bugzilla.gnome.org/show_bug.cgi?id=679472

2012-07-05 13:12:17 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  gst: Implement segment-done event

2012-06-27 11:23:36 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asf: fix x-wmv format in caps

2012-06-27 10:24:45 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asf: unmap packets

2012-06-21 15:13:57 +0100  Bastien Nocera <hadess@hadess.net>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/asfpacket.h:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Ignore parsing errors from broken packets
	  We should instead be counting the number of errors and exiting if
	  they're too numerous. This makes a number of broken ASF files playable.
	  https://bugzilla.gnome.org/show_bug.cgi?id=678543
	  Conflicts:
	  gst/asfdemux/asfpacket.c
	  gst/asfdemux/gstasfdemux.c

2012-06-26 17:15:43 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  fix interlace-mode

2012-06-25 09:43:53 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Add comment explaining why we first chain up to the parent class' decide_allocation

2012-06-25 09:34:53 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Set allocation parameters to guarantee 16-byte aligned output buffers
	  Fixes bug #377713.

2012-06-20 13:36:25 -0400  Matej Knopp <matej.knopp@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix unitialized variable and taglist event

2012-06-20 13:23:51 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix compilation

2012-06-20 10:39:37 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  update for task api change

2012-06-20 10:39:24 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/x264/gstx264enc.c:
	  fix compilation

2012-06-20 09:06:37 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: Port to 0.11 again

2012-06-19 15:19:28 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix compiler warning

2012-05-30 12:50:13 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: Report PAR if not present upstream
	  And clean up some code

2012-05-04 16:09:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: use _scale_ceil to compute frame period
	  https://bugzilla.gnome.org/show_bug.cgi?id=675769

2012-05-04 16:08:27 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: mpeg2dec actually has 3 frame latency
	  https://bugzilla.gnome.org/show_bug.cgi?id=675769

2012-05-01 18:49:03 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix large output buffers leak

2012-05-01 18:46:31 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Port to new way of handling frame reference

2012-05-01 16:12:42 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: don't leak input_state

2012-04-13 19:06:52 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: Port to GstVideoDecoder base class
	  Conflicts:
	  ext/mpeg2dec/gstmpeg2dec.c
	  ext/mpeg2dec/gstmpeg2dec.h
	  Back to 0.10 state, needs to be ported to 0.11 again.

2012-06-19 09:26:46 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master'

2012-06-19 09:26:02 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Port to 0.11 again

2012-05-07 11:52:40 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Don't set latency while holding object lock
	  This reverts commit 30a0b50e9ca0d625e61f994d4f8acd022dcddf38.
	  https://bugzilla.gnome.org/show_bug.cgi?id=675762

2012-05-03 18:07:24 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Use video encoder stream lock to avoid deadlock

2012-05-01 18:45:33 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Port to new way of passing frame reference

2012-04-30 19:00:09 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Set default stream-format to avc as it's a better format

2012-04-26 22:27:55 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix setting latency
	  Fixes setting latency when framerate is dynamic and round up the latency
	  to avoid rounding issues.

2012-04-30 18:59:44 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: gst_video_encoder_get_frame() is now transfer full

2012-04-26 17:31:45 +0000  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: don't leak output state

2012-04-18 17:09:12 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Remove x264 backward compatibility support

2012-04-18 16:13:57 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Report latency base on x264 buffer size

2012-04-17 15:44:24 -0400  Nicolas Dufresne <nicolas.dufresne@collabora.com>

	* configure.ac:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Port to GstVideoEncoder baseclass
	  Conflicts:
	  configure.ac
	  ext/x264/gstx264enc.c
	  ext/x264/gstx264enc.h
	  Back to 0.10 state, needs to be ported to 0.11 again.

2012-06-16 18:29:54 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Android.mk:
	* LICENSE_readme:
	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* gst/synaesthesia/.gitignore:
	* gst/synaesthesia/Makefile.am:
	* gst/synaesthesia/README:
	* gst/synaesthesia/gstsynaesthesia.c:
	* gst/synaesthesia/gstsynaesthesia.h:
	* gst/synaesthesia/synaescope.c:
	* gst/synaesthesia/synaescope.h:
	  synaesthesia: remove experimental GPL-ed synaesthesia plugin
	  It never made it out of experimental, and there's a new
	  synaescope element in gst-plugins-bad that's hopefully
	  sufficiently similar.
	  https://bugzilla.gnome.org/show_bug.cgi?id=356882

2012-06-16 18:13:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegstream/.gitignore:
	  mpegstream: remove leftover hidden .gitignore file

2012-06-08 15:55:28 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/synaesthesia/gstsynaesthesia.c:
	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/x264enc.c:
	  elements: Use gst_pad_set_caps() instead of manual event fiddling

2012-06-08 15:05:22 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 03a0e57 to 98e386f

2012-06-07 16:28:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.92 ===

2012-06-07 16:28:32 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.92

2012-06-07 16:28:27 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2012-06-06 18:19:06 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 1fab359 to 03a0e57

2012-06-06 13:03:04 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  update for tag event change

2012-06-01 10:29:16 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From f1b5a96 to 1fab359

2012-05-31 13:08:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 92b7266 to f1b5a96

2012-05-30 12:45:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ec1c4a8 to 92b7266

2012-05-30 11:24:04 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 3429ba6 to ec1c4a8

2012-05-26 23:41:02 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rmutils.c:
	  realmedia: don't use GstStructure API on tag lists

2012-05-21 14:57:44 +0200  Julien Isorce <julien.isorce@gmail.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: really prefer the original number (and position) of channels
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=676495

2012-05-24 12:32:25 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From dc70203 to 3429ba6

2012-05-17 21:12:18 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/x264/gstx264enc.c:
	  x264: bump x264 requirement to build 106 or later
	  Build 106 is from September 2010.
	  https://bugzilla.gnome.org/show_bug.cgi?id=676257

2012-04-15 23:39:48 +0400  Руслан Ижбулатов <lrn1986@gmail.com>

	* ext/a52dec/gsta52dec.c:
	* m4/a52.m4:
	  a52dec: adapt to work also with new liba52
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=674091

2012-05-17 12:40:05 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: trigger renegotiation upon changed stream channels
	  Fixes #675451

2012-05-16 09:13:05 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Require core/base 0.11.91

2012-01-13 18:18:33 -0500  Matej Knopp <matej.knopp@gmail.com>

	* .gitignore:
	  .gitignore: add visual studio IDE files and OS X .DS_Store files
	  https://bugzilla.gnome.org/show_bug.cgi?id=667899

2012-05-13 17:00:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.91 ===

2012-05-13 16:49:04 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.91

2012-05-13 16:48:57 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2012-05-13 16:45:50 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge branch 'master' of ssh://git.freedesktop.org/git/gstreamer/gst-plugins-ugly

2012-05-13 15:56:27 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From dc70203 to 3429ba6

2012-04-24 15:27:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Use correct enum type

2012-05-10 10:11:44 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: implement pull mode seek snap flags when an index is present
	  Also ensure we get a proper EOS when seeking past the end of the
	  file, or (when the snap after flag is set) between the last keyframe
	  and the end of the file.

2012-05-03 23:50:30 +0100  Leon Merten Lohse <leon@green-side.de>

	* ext/cdio/gstcdio.c:
	* ext/cdio/gstcdio.h:
	* ext/cdio/gstcdiocddasrc.c:
	  cdio: compensate for libcdio's recent cd-text api changes
	  https://bugzilla.gnome.org/show_bug.cgi?id=675112
	  Conflicts:
	  ext/cdio/gstcdiocddasrc.c

2012-04-30 21:27:52 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdread: fix build after recent include reshuffling in core
	  Need to include gmodule.h ourselves now.

2012-04-19 12:22:08 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  video: Update for libgstvideo API changes

2012-04-16 09:09:35 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6db25be to dc70203

2012-04-12 13:56:48 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/asfpacket.h:
	  asfdemux: fix performance issue, especially with high-bitrate streams
	  Two things were suboptimal from a performance point of view:
	  a) consider a large media object such as a video keyframe, which
	  may be split up into multiple fragments. We would assemble
	  the media object as follows:
	  buf = join (join (join (frag1, frag2), frag3), frag4)
	  which causes many unnecessary memcpy()s, and malloc/free,
	  which could easily add up to a multiple of the actual object
	  size. To avoid this, we allocate a buffer of the size needed
	  from the start and copy fragments into that directly.
	  b) for every fragment to join, we would create a sub-buffer
	  before joining it (which would discard the sub-buffer again),
	  leading to unnecessary miniobject create/free churn.
	  Conflicts:
	  gst/asfdemux/asfpacket.c
	  gst/asfdemux/asfpacket.h

2012-04-12 14:45:51 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: avoid unnecessary stream lookup
	  We have already retrieved the stream for that stream number and
	  made sure it's not NULL, so no need to do it again here; neither
	  the number nor the streams changed since the last time.

2012-04-02 19:31:20 +0200  Alban Browaeys <prahal@yahoo.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: fix first_access bigger than 2
	  gst_buffer_extract returns the number of bytes extracted, here 2 max.
	  Set size to the buffer size as was done in 0.10 to avoid first_access
	  error when it bypass 2.
	  https://bugzilla.gnome.org/show_bug.cgi?id=673434

2012-04-13 13:43:30 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* autogen.sh:
	* configure.ac:
	  configure: Modernize autotools setup a bit
	  Also we now only create tar.bz2 and tar.xz tarballs.

2012-04-13 13:37:32 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 464fe15 to 6db25be

2012-04-12 11:19:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  Back to development

=== release 0.11.90 ===

2012-04-12 10:40:20 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.11.90

2012-04-12 10:39:13 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2012-04-10 00:48:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/gstmad.c.orig:
	  mad: remove .c.orig file

2012-04-10 00:47:44 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.c.orig:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtspwms.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rtspreal.c:
	* gst/synaesthesia/gstsynaesthesia.c:
	* gst/xingmux/gstxingmux.c:
	  Use new gst_element_class_set_static_metadata()

2012-04-05 18:43:17 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7fda524 to 464fe15

2012-04-05 17:40:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnb.c:
	* ext/amrwbdec/amrwb.c:
	* ext/cdio/gstcdio.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/plugin.c:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.c.orig:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasf.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/realmedia/realmedia.c:
	* gst/synaesthesia/gstsynaesthesia.c:
	* gst/xingmux/plugin.c:
	  gst: Update for GST_PLUGIN_DEFINE() API changes

2012-04-05 13:26:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Update version to 0.11.89.1

2012-04-04 14:38:53 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/version.entities.in:
	* ext/a52dec/Makefile.am:
	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/cdio/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/mad/Makefile.am:
	* ext/mpeg2dec/Makefile.am:
	* ext/sidplay/Makefile.am:
	* ext/twolame/Makefile.am:
	* ext/x264/Makefile.am:
	* gst-plugins-ugly.spec.in:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/realmedia/Makefile.am:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-plugins-ugly-uninstalled.pc.in:
	* tests/check/Makefile.am:
	  gst: Update versioning

2012-04-02 15:21:36 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: fix cropping
	  fix cropping in mpeg2dec

2012-04-01 20:19:36 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: add crop metadata when buffer is still writable

2012-03-30 18:13:42 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  update for buffer api change

2012-03-30 11:52:48 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/mad/gstmad.c:
	  ext: Update for audio decoder API changes

2012-03-29 17:32:08 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/x264enc.c:
	  tests: make more valgrind-friendly and plug caps leak

2012-03-28 12:50:09 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdsub/gstdvdsubdec.c:
	  update for buffer changes

2012-03-27 14:07:40 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/x264enc.c:
	  tests: x264enc: adjust test to removal of deprecated properties

2012-03-26 12:13:30 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Replace master with 0.11

2012-03-22 15:56:04 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	  back to development

=== release 0.11.2 ===

2012-03-22 15:52:55 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* win32/common/config.h:
	  Release 0.11.2

2012-03-21 13:18:35 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/elements/mpeg2dec.c:
	  tests: fix after memory changes

2012-03-21 13:18:11 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: remove deprecated properties

2012-03-20 12:08:23 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11
	  So 0.11 folks also get amr include fixes.
	  Conflicts:
	  ext/a52dec/gsta52dec.c
	  ext/mad/gstmad.c

2012-03-18 18:56:16 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/synaesthesia/gstsynaesthesia.c:
	  synaesthesia: fixup for bufferpool api changes
	  ... as well as some caps ref handling.

2012-03-16 21:48:02 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  don't pass random pointers to pull_range

2012-03-15 22:11:41 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  update for bufferpool changes

2012-03-15 20:38:50 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  update for allocation query changes

2012-03-15 13:38:16 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/x264/gstx264enc.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	  update for memory api changes

2012-03-14 19:52:52 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  take padding into account

2012-03-13 18:27:51 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: simplify parsing code
	  Also fixes #671455 (expected at least).

2012-03-12 16:16:17 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	  configure.ac: bump required GLib to 2.31.14
	  Fixes https://bugzilla.gnome.org/show_bug.cgi?id=671911

2012-03-12 12:23:43 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  fix for caps _normalize changes

2012-03-11 19:07:19 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  fix for caps api changes

2012-03-06 16:08:23 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/a52dec/gsta52dec.h:
	  a52dec: use base class tag handling helper
	  ... so as to ensure these to be handled and sent at proper time.

2012-03-06 14:28:15 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: Use variable type with correct signedness

2011-01-14 18:50:41 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Copy planes in one go when possible

2012-03-03 17:17:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.h:
	* ext/amrwbdec/amrwbdec.h:
	  amrnb, amrwbdec: fix build with opencore-amr >= 0.1.3
	  In previous versions, the opencore-amr include sub-directory
	  would be specified in the include path in the CFLAGS, but this
	  is no longer the case in newer versions, so we need to add those
	  to our include directives.
	  Based on patch by: Christian Morales Vega
	  https://bugzilla.gnome.org/show_bug.cgi?id=671123

2012-03-03 16:56:13 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: get rid of non-pkg-config ways to check for opencore-amr

2012-02-29 17:26:42 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  update for metadata API changes

2012-02-27 06:35:01 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* ext/amrwbdec/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/mad/Makefile.am:
	  amrwbdec, lame, mad: link to libgstbase

2012-02-27 06:33:48 +0100  Alessandro Decina <alessandro.d@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix compiler warning

2012-02-27 00:36:46 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11

2012-02-27 00:34:09 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge commit '02f5d72a0519bcbe8f6958fab6dd998fc8ccda6b' into 0.11
	  Conflicts:
	  ext/mad/gstmad.c

2012-02-23 11:20:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Bump version after release

2012-02-21 18:58:06 -0800  David Schleef <ds@schleef.org>

	* autogen.sh:
	  autogen.sh: avoid touching .po files during 'make'
	  A simple workaround to deal with GNU gettext automake integration
	  failing to deal with git.  Fixes: #669207

2012-02-22 02:17:55 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264: convert g_print to LOG

2012-02-22 02:07:49 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  update for new memory api

2012-02-22 02:07:29 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: handle pts and dts

2012-02-21 18:53:57 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: handle libmad freeform parsing quirk

2012-02-21 18:49:50 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: fixup unhacking last frame coaxing
	  ... so as to not only replace the data pointer but also available size.

2012-02-20 14:27:49 +0000  Christian Fredrik Kalager Schaller <christian.schaller@collabora.co.uk>

	* gst-plugins-ugly.spec.in:
	  Add latest plugins

2012-02-18 00:02:20 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* win32/common/config.h:
	  win32: back to development

2012-02-17 17:53:34 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* configure.ac:
	* gst/synaesthesia/gstsynaesthesia.c:
	* gst/synaesthesia/gstsynaesthesia.h:
	  synaesthesia: port to 0.11

2012-02-17 17:53:28 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* configure.ac:
	* gst/xingmux/gstxingmux.c:
	  xingmux: port to 0.11

2012-02-17 11:06:59 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	  back to development

=== release 0.11.1 ===

2012-02-17 11:06:27 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/eo.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* win32/common/config.h:
	  RELEASE 0.11.1

2012-02-17 09:16:32 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/mad/gstmad.c

2012-02-16 14:29:47 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: unhack last frame coaxing
	  ... so as to maximally use available base class API and interfere least
	  as possible with its internal state.

2012-02-15 13:45:00 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: fix compilation

2012-02-15 13:40:13 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: chain up to default event handler

2012-02-11 05:38:41 -0500  Matej Knopp <matej.knopp@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: unmap video frame after encoding
	  Fixes major memory leak.
	  https://bugzilla.gnome.org/show_bug.cgi?id=669863

2012-02-10 17:02:38 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: fix after merge

2012-02-10 17:00:33 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/x264/gstx264enc.c

2012-02-09 18:10:48 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	* ext/sidplay/gstsiddec.h:
	  sidplay: don't use ulong properties

2012-02-09 16:14:55 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  sidplay: fix negotiation

2012-02-09 11:55:07 +0100  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Add baseline profile to caps
	  libx264 does not yet support the features that create the difference
	  between baseline and constrained baseline profile. Hence it currently
	  supports both though it can only technically encode constrained
	  baseline.

2012-02-08 16:38:09 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/amrnb/amrnbenc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rdtmanager.c:
	  GST_FLOW_WRONG_STATE -> GST_FLOW_FLUSHING

2012-02-07 18:56:23 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/elements/mpeg2dec.c:
	  mpeg2dec: fix test a bit more
	  Still broken because cropping is broken in mpeg2dec

2012-02-07 11:06:29 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/x264enc.c:
	* tests/check/elements/xingmux.c:
	  tests: fix some tests

2012-02-01 16:20:46 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/twolame/gsttwolamemp2enc.c:
	  twolame: Use new audio encoder/decoder base class API for srcpad caps

2012-02-01 16:20:26 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lame: Use new audio encoder/decoder base class API for srcpad caps

2012-02-01 16:19:55 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Use new audio encoder/decoder base class API for srcpad caps

2012-02-01 16:17:57 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Use new audio encoder/decoder base class API for srcpad caps

2012-02-01 16:15:27 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: Use new audio encoder/decoder base class API for srcpad caps

2012-02-01 16:14:08 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	  amrnb: Use new audio encoder/decoder base class API for srcpad caps

2012-01-31 15:52:38 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: ensure we do not confuse the base class with our buffer guard
	  mad expects extra bytes at the end of a buffer (see discussion in
	  http://www.mars.org/mailman/public/mad-dev/2001-May/000262.html),
	  and since we inject these without the base class' knowledge, we
	  need to hide the bodies better.
	  This fixes an assert at EOS when decoding an mp3 manually without
	  an intervening mpegaudioparse.

2012-01-30 17:17:31 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rtspreal.c:
	  update for HEADER flag

2011-07-20 09:00:58 +0200  Alessandro Decina <alessandro.d@gmail.com>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: implement force-key-unit API

2012-01-25 13:58:48 +0100  Thomas Vander Stichele <thomas (at) apestaart (dot) org>

	* common:
	  Automatic update of common submodule
	  From c463bc0 to 7fda524

2012-01-25 13:58:54 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	* ext/amrwbdec/amrwbdec.c:
	  amr: port to 0.11 again

2012-01-25 13:03:33 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/a52dec/gsta52dec.c

2012-01-25 07:24:59 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolamemp2enc.c:
	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubdec.h:
	* gst/realmedia/gstrdtbuffer.c:
	* gst/realmedia/gstrdtbuffer.h:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmutils.c:
	  port to new memory API

2012-01-25 11:38:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 2a59016 to c463bc0

2012-01-22 23:56:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-libs/gst/glib-compat-private.h:
	  Remove compatibility versions for deprecated GLib API

2012-01-19 15:26:25 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: fix read buffer overflow upon syncing
	  The wrong size was being decremented, leading to a runaway
	  read loop.

2012-01-19 15:06:47 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	* configure.ac:
	  Add --disable-fatal-warnings configure option

2012-01-19 11:34:41 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  port to new gthread API

2012-01-18 17:00:26 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure.ac: Require GLib 2.31.10 for consistency

2012-01-18 16:46:42 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 0807187 to 2a59016

2012-01-17 11:55:59 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: _parse should not return OK if not enough data yet

2012-01-17 11:55:14 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	  amrnbdec: _parse should not return OK if not enough data yet

2012-01-13 15:03:50 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: fix off by one in cell calculation for the last chapter

2012-01-13 15:56:47 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: set caps on src pad before adding it

2012-01-13 15:56:25 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: perform writable buffer map to copy into it

2012-01-13 15:55:15 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/asfpacket.h:
	  asfpacket: fix 0.11 ported payload extraction
	  ... to cater for not necessarily offset == size - cur_pos,
	  as size may have been adjusted due to padding.
	  Fixes #667567.

2012-01-13 13:46:50 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: remove useless and semantically (though not practically) wrong code
	  The object will be freed, so it's pointless to set the pointers
	  to NULL anyway.

2012-01-13 13:46:28 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: remove leaking "optimization"

2012-01-13 00:05:50 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  GST_TYPE_DATE -> G_TYPE_DATE

2012-01-13 00:01:01 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11
	  Conflicts:
	  ext/a52dec/gsta52dec.c

2012-01-12 13:25:22 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: plug buffer leak

2012-01-12 13:20:26 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: plug buffer leak

2012-01-11 12:31:11 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/amrnbenc.c:
	  amrnbenc: _map and _unmap the appropriate input and output buffers

2012-01-10 15:25:12 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Fix some merge mistakes

2012-01-10 15:17:11 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/a52dec/gsta52dec.c
	  ext/a52dec/gsta52dec.h
	  ext/lame/gstlame.c
	  ext/lame/gstlame.h
	  ext/lame/gstlamemp3enc.c
	  ext/mad/gstmad.c
	  ext/mad/gstmad.h
	  gst/mpegaudioparse/gstmpegaudioparse.c
	  gst/mpegstream/gstdvddemux.c
	  gst/realmedia/rdtdepay.c
	  po/es.po
	  po/lv.po
	  po/sr.po

2012-01-10 11:41:52 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/dvdsub/Makefile.am:
	  dvdsub: add some CFLAGS and LIBS in Makefile.am
	  ... since adapter is still used.

2012-01-09 16:00:18 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Don't use buffer after unreffing

2012-01-09 15:46:10 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Only change writable caps and make sure to set updated caps on the srcpad

2012-01-09 15:24:53 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Correctly unmap the buffer with the original data pointer

2012-01-09 15:15:28 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Make sure to set caps on the srcpad if none are set yet

2012-01-08 14:24:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/Makefile.am:
	  mad: fix LIBS order in Makefile.am

2012-01-07 21:04:01 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/gstmad.h:
	  mad: remove left-over id3tag.h include
	  We don't use libid3tag any more.

2012-01-05 12:17:20 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcmdec: fix for multichannel

2012-01-04 16:05:59 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/a52dec/gsta52dec.h:
	  a52dec: Update for the new raw audio caps

2012-01-04 15:49:38 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Update for the new raw audio caps

2012-01-04 15:45:43 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: Update for the new raw audio caps

2012-01-04 15:44:37 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/twolame/gsttwolamemp2enc.c:
	  twolamemp2enc: Update for the new raw audio caps

2012-01-04 15:43:13 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: Add the new layout field to the raw audio caps

2012-01-04 15:42:29 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	  amrnb: Add the new layout field to the raw audio caps

2012-01-04 15:26:56 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: Port to the new raw audio caps

2012-01-04 15:12:26 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Update for libgstriff API changes
	  Still needs to handle audio channel reordering.

2012-01-04 19:53:13 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 50b34ab to 0807187

2012-01-04 17:05:32 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/lame/Makefile.am:
	  lame: fix LIBADD order in Makefile.am

2012-01-04 10:33:27 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	* tests/check/elements/mpeg2dec.c:
	* tests/check/elements/x264enc.c:
	* tests/check/elements/xingmux.c:
	* tests/check/generic/states.c:
	  tests: make tests compile

2012-01-03 15:27:42 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/amrwbdec/amrwbdec.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/mad/gstmad.c:
	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  GST_FLOW_UNEXPECTED -> GST_FLOW_EOS

2011-12-30 18:31:32 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: disable generic index test

2011-12-30 17:53:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: remove all seeking-related code
	  A parser or demuxer upstream should handle this Same for
	  queries.

2011-12-30 17:49:01 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: update for GstIndex removal

2011-12-30 17:46:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/cdio/gstcdiocddasrc.c:
	  cdio: update for probe vfunc removal in GstAudioCdSrc

2011-12-27 22:54:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: fix printf format in debug statements
	  https://bugzilla.gnome.org/show_bug.cgi?id=666926

2011-12-26 18:24:32 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlame.h:
	  lame: ensure parsed output
	  ... by doing some basic parsing of encoded lame data.

2011-12-26 16:34:01 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlame.h:
	  lame: cleanup unused instance struct fields

2011-12-26 18:23:52 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/Makefile.am:
	* ext/lame/gstlamemp3enc.c:
	* ext/lame/gstlamemp3enc.h:
	  lamemp3enc: ensure parsed output
	  ... by doing some basic parsing of encoded lame data.
	  Fixes #652150.

2011-12-26 18:15:41 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: do not leak merged tags

2011-12-22 15:23:54 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: helpfully bodge the last buffer to let mad decode the last frame
	  If http://www.mars.org/mailman/public/mad-dev/2001-May/000262.html is
	  to be believed, the last buffer must be followed by a number of 0 bytes
	  in order for the last frame to be decoded (at least in some cases).
	  Doing so seems to work here, fixing a missing 1152 samples when using
	  mp3parse before mad (not using mp3parse would yield the correct amount
	  of samples, if there's extra non-MP3 data after (eg, tag data)).

2009-01-25 22:49:11 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: map subtitle language tag to stream indicated in PGC data

2009-01-25 22:49:11 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegstream/gstdvddemux.c:
	  dvddemux: tweak subtitle stream setup based on dvd language codes event
	  ... to allow for non-continuous subtitle stream numbers.
	  The missing stream numbers tend to come up as subtitle streams anyway
	  (albeit not with an identified language tag).

2011-12-21 13:56:35 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: minor safety tweak to sector seeking

2011-12-20 11:54:38 +0100  Julien Isorce <julien.isorce@gmail.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: check that a52_init returns a valid a52 state

2011-12-19 18:20:56 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: update for new interlaced flags

2011-12-14 17:33:52 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/a52dec/Makefile.am:
	* ext/a52dec/gsta52dec.c:
	* ext/a52dec/gsta52dec.h:
	  a52dec: port to audiodecoder

2011-12-12 13:44:12 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/Makefile.am:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: port to audiodecoder

2011-12-13 14:54:18 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Don't claim to support upstream renegotiation
	  and use fixed caps on the srcpad. To correctly support
	  upstream renegotiation a52dec would need to check if the
	  caps of the downstream allocated buffer are the requested
	  caps or if the size is different.
	  Fixes bug #665989.

2011-12-13 14:52:26 +0100  Julien Isorce <julien.isorce@gmail.com>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Check that the a52_state is correctly initialized

2011-12-12 11:33:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-libs/gst/Makefile.am:
	* gst-libs/gst/glib-compat-private.h:
	* gst/asfdemux/gstasfdemux.c:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  Work around deprecated thread API in glib master
	  Add private replacements for deprecated functions such as
	  g_mutex_new(), g_mutex_free(), g_cond_new() etc., mostly
	  to avoid the deprecation warnings. We can't change most of
	  these in 0.10 because they're part of our API and ABI.
	  Suppress deprecation warnings in selected files, mostly for
	  g_static_rec_mutex_*. StaticRecMutex is part of our API/ABI,
	  not much we can do here in 0.10.

2011-12-10 15:19:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/eo.po:
	* po/es.po:
	* po/lv.po:
	* po/sr.po:
	  po: update translations

2011-12-09 15:25:21 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rdtdepay.c:
	  rdtdepay: make buffer metadata writable before setting caps on it
	  Fixes issue when the header buffer is being pushed, which was taken
	  from the caps and is therefore not writable.

2011-12-06 14:00:18 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  fix for basesrc changes

2011-12-05 18:43:49 +0100  Edward Hervey <edward@collabora.com>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: Initialize GstRTPBuffer before usage

2011-12-02 02:01:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11
	  Conflicts:
	  ext/dvdread/dvdreadsrc.c

2011-11-29 08:49:23 +0100  Руслан Ижбулатов <lrn1986@gmail.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: Fix format string compiler warning
	  Fixes bug #665101.

2011-11-28 21:31:25 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11

2011-11-28 18:26:34 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  Update for indexable change

2011-11-28 17:52:52 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	  update for clock provider API change

2011-11-28 13:10:01 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/twolame/gsttwolame.c:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/iec958/ac3iec.c:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstxingmux.c:
	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/mpegstream/gstmpegparse.c:
	* gst/mpegstream/gstrfc2250enc.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	* gst/synaesthesia/gstsynaesthesia.c:
	  various: fix pad template ref leaks
	  https://bugzilla.gnome.org/show_bug.cgi?id=662664

2011-11-24 21:41:55 +0100  René Stadler <rene.stadler@collabora.co.uk>

	* tests/check/elements/xingmux.c:
	  tests: update for gstcheck API change

2011-11-23 23:29:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/amrnb/amrnbenc.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/twolame/gsttwolamemp2enc.c:
	  ext: fix more printf format warnings in debug messages

2011-11-21 22:02:07 +0100  Matej Knopp <matej.knopp@gmail.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  Fix print format compiler warnings on OS X / 64bit
	  https://bugzilla.gnome.org/show_bug.cgi?id=662617

2011-11-21 13:36:10 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  update for activation changes

2011-11-18 18:00:28 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  update for new scheduling query

2011-11-18 13:59:29 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  add parent to activate functions

2011-11-17 15:25:58 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubparse.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  add parent to pad functions

2011-11-16 17:28:56 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	  add parent to query function

2011-11-15 17:55:36 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rademux.c:
	  _query_peer_*() -> _peer_query_*()

2011-11-15 17:42:32 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	  _accept_caps() -> _query_accept_caps()

2011-11-15 17:23:39 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  _peer_get_caps() -> _peer_query_caps()

2011-11-15 16:52:55 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  update for _get_caps() -> _query_caps()

2011-11-15 16:34:39 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  change getcaps to query

2011-11-14 00:55:16 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: re-instate accidentally dropped rank

2011-11-13 23:47:46 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	* gst/realmedia/pnmsrc.c:
	  Update for GstURIHandler get_protocols() changes

2011-11-13 19:01:31 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	* ext/dvdread/dvdreadsrc.h:
	* gst/realmedia/pnmsrc.c:
	  dvdreadsrc, pnmsrc: update for GstURIHandler changes

2011-11-13 01:33:25 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: re-port to 0.11
	  This time using the base class. Still something
	  wrong with the parsing though, when there's no
	  parser or demuxer upstream (which of course
	  shouldn't happen in a normal playback scenario).

2011-11-13 00:29:20 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: update for GstBaseAudioDecoder -> GstAudioDecoder rename

2011-08-16 21:12:06 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: replace with 0.10 version ported to GstAudioDecoder
	  Taken from commit 6e7e3657396454fe95fbd89170281865d4d1cec3
	  of Mark's baseaudio branch.
	  Would probably be too risky to drop this into 0.10 given
	  all the things mad is doing.

2011-11-13 00:13:17 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	  docs: remove bits for old lame element from sections.txt file

2011-11-13 00:04:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Android.mk:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* gst-plugins-ugly.spec.in:
	* gst/mpegstream/Makefile.am:
	* gst/mpegstream/README:
	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstdvddemux.h:
	* gst/mpegstream/gstmpegclock.c:
	* gst/mpegstream/gstmpegclock.h:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/mpegstream/gstmpegdemux.h:
	* gst/mpegstream/gstmpegpacketize.c:
	* gst/mpegstream/gstmpegpacketize.h:
	* gst/mpegstream/gstmpegparse.c:
	* gst/mpegstream/gstmpegparse.h:
	* gst/mpegstream/gstmpegstream.c:
	* gst/mpegstream/gstrfc2250enc.c:
	* gst/mpegstream/gstrfc2250enc.h:
	* gst/mpegstream/mpegstream.vcproj:
	* gst/mpegstream/notes:
	* win32/MANIFEST:
	* win32/vs6/gst_plugins_ugly.dsw:
	* win32/vs6/libgstac3parse.dsp:
	* win32/vs6/libgstmpegaudioparse.dsp:
	* win32/vs6/libgstmpegstream.dsp:
	  mpegstream: remove the old mpeg-ps parser and demuxers
	  Don't want anyone porting this by accident.
	  Superseded by mpegpsdemux in -bad.

2011-11-12 21:06:29 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/cdio/Makefile.am:
	* ext/cdio/gstcdio.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/cdio/gstcdiocddasrc.h:
	  cdio: port cdiocddasrc to 0.11

2011-11-12 20:44:23 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/mpeg2dec.c:
	  tests: port mpeg2dec to 0.11
	  It compiles, but fails.

2011-11-12 20:33:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/x264enc.c:
	  tests: port x264enc unit test to 0.11
	  Well, it compiles now at least.

2011-11-11 12:33:51 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.h:
	  update for base class rename

2011-11-11 12:25:25 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtpasfdepay.h:
	  update for base class rename

2011-11-11 01:30:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: update translations

2011-11-11 01:29:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update docs

2011-11-11 01:27:47 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: cosmetic error message change
	  LET'S TRY TO KEEP CAPITALS TO A MINIMUM.

2011-11-11 00:58:24 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* ext/twolame/Makefile.am:
	* ext/twolame/gsttwolame.c:
	* ext/twolame/gsttwolame.h:
	* ext/twolame/gsttwolamemp2enc.c:
	* ext/twolame/gsttwolamemp2enc.h:
	* po/POTFILES.in:
	  twolame: rename to twolamemp2enc

2011-11-11 00:51:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/twolame/gsttwolame.c:
	  twolame: port to 0.11

2011-11-10 23:17:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Android.mk:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* gst-plugins-ugly.spec.in:
	* gst/iec958/Makefile.am:
	* gst/iec958/ac3_padder.c:
	* gst/iec958/ac3_padder.h:
	* gst/iec958/ac3iec.c:
	* gst/iec958/ac3iec.h:
	* win32/MANIFEST:
	* win32/vs6/libgstiec958.dsp:
	  iec958: remove this plugin
	  I think it can just go away. Audio sinks can and should payload
	  things themselves using the helper API in libgstaudio. If such
	  a plugin still makes sense, it should probably be rewritten
	  using the library functions (and be put into -good or so).

2011-11-10 18:25:38 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rtspreal.c:
	  update for adapter api change

2011-11-10 11:04:06 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  update for removed fixate function

2011-11-09 11:58:03 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rmdemux.c:
	  remove query types

2011-11-04 17:32:58 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmutils.c:
	  realmedia is ported

2011-11-04 16:40:59 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  more template fixes

2011-11-04 16:32:48 +0100  Edward Hervey <bilboed@bilboed.com>

	* po/POTFILES.in:
	  po: lame => lamemp3enc

2011-11-04 12:04:56 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rdtmanager.c:
	  make request pads take %u

2011-11-04 10:45:47 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: Add basic cropping support

2011-11-02 12:09:45 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  tags: update for tag API removal

2011-10-31 02:24:30 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  update for meta api change

2011-10-29 09:10:54 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  structure: fix for api update

2011-10-31 14:34:57 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	  Merge remote-tracking branch 'origin/master' into 0.11

2011-10-30 15:05:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	  tests: port amrnbenc test to 0.11

2011-10-30 15:04:22 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	  amrnb: fix up raw audio caps for 0.11

2011-10-30 15:03:29 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: need to define GST_USE_UNSTABLE_API to avoid warnings

2011-10-30 12:29:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* ext/lame/Makefile.am:
	* ext/lame/README:
	* ext/lame/gstlame.c:
	* ext/lame/gstlame.h:
	* ext/lame/plugin.c:
	* ext/lame/test-lame.c:
	* gst/xingmux/gstxingmux.c:
	* tests/check/pipelines/lame.c:
	  lame: remove lame element, it's been superseded by lamemp3enc

2011-10-30 11:51:58 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/sidplay/gstsiddec.cc:
	* gst/asfdemux/gstasfdemux.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  ext, gst: update for taglist API changes

2011-10-29 11:57:40 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't leak pending payload buffers
	  Fixes #662964

2011-10-28 15:21:27 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/sidplay/gstsiddec.cc

2011-10-27 16:53:44 +0200  Stefan Sauer <ensonic@users.sf.net>

	* ext/sidplay/gstsiddec.cc:
	  siddec: use BOILERPLATE macro and cleanup FIXMEs

2011-10-28 09:18:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  asfdepay: fix compiler warnings after gst_caps_new_simple() change

2011-10-21 12:24:01 +0100  Christian Fredrik Kalager Schaller <christian.schaller@collabora.co.uk>

	* gst-plugins-ugly.spec.in:
	  Update specfile with latest changes

2011-10-11 18:03:01 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't unmap a buffer that doesn't exist

2011-10-10 12:38:02 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* ext/dvdread/dvdreadsrc.c:
	  dvdread: port to 0.11

2011-10-06 17:24:22 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* gst/dvdsub/Makefile.am:
	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubdec.h:
	* gst/dvdsub/gstdvdsubparse.c:
	  dvdsub: port to 0.11

2011-10-05 13:32:33 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/amrwbdec/Makefile.am
	  ext/amrwbdec/amrwbdec.c

2011-10-05 13:18:45 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/gstrdtbuffer.c:
	* gst/realmedia/gstrdtbuffer.h:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmutils.c:
	* gst/realmedia/rtspreal.c:
	  realmedia: port to 0.11

2011-10-05 12:05:34 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrwbdec/Makefile.am:
	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	  amrwbdec: port to audiodecoder

2011-10-04 17:00:57 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/Makefile.am:
	  amrnbdec: fixup build

2011-10-04 17:00:41 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	  amrnbdec: remove leftover extraneous _unref

2011-10-04 17:50:33 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/amrnb/amrnbdec.c

2011-10-04 17:35:40 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	  amrnb: port to 0.11

2011-10-04 17:12:35 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* ext/amrwbdec/Makefile.am:
	* ext/amrwbdec/amrwbdec.c:
	  ported amrwbdec to 0.11

2011-10-03 17:19:02 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbdec.h:
	  amrnbdec: port to audiodecoder

2011-09-30 17:45:31 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11

2011-09-30 17:38:07 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: minimal port to 0.11

2011-09-05 11:11:52 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: post QoS messages when dropping a frame due to QoS
	  https://bugzilla.gnome.org/show_bug.cgi?id=658241

2011-09-28 13:05:55 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	  configure: update ported plugins list

2011-09-28 13:03:31 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* common:
	  update to 0.11 branch

2011-09-27 20:32:46 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.h:
	  dvdlpcmdec: port to 0.11

2011-09-27 18:19:50 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: fix raw audio caps too

2011-09-27 18:15:00 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: port to 0.11

2011-09-27 17:54:02 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11

2011-09-27 17:51:31 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: port to 0.11

2011-09-27 17:01:59 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrnb/Makefile.am:
	* ext/amrnb/amrnbenc.c:
	* ext/amrnb/amrnbenc.h:
	  amrnbenc: port to audioencoder

2011-09-26 19:07:23 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  ext/mad/gstmad.c

2011-09-26 19:03:13 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  port a52dec to 0.11

2011-09-26 16:29:12 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/twolame/gsttwolame.c:
	  twolame: Simple fix for GstAudioEncoder API change

2011-09-26 16:28:08 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/twolame/gsttwolame.c:
	  twolame: Fix variable 'gstelement_class' set but not used compiler warning

2011-09-26 16:08:20 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: Don't get the parent class again, GST_BOILERPLATE does this already

2011-09-26 16:07:54 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: Fix variable 'gstelement_class' set but not used compiler warning

2011-09-26 12:07:15 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/twolame/gsttwolame.c:
	  twolame: improve output framing and timestamping
	  ... which simply comes down to requesting one frame of input data at a time,
	  since the encoder nicely turns this into 1 encoded frame.

2011-09-26 11:56:23 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/twolame/Makefile.am:
	* ext/twolame/gsttwolame.c:
	* ext/twolame/gsttwolame.h:
	  twolame: port to audioencoder

2011-09-23 15:32:01 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlame.c:
	  lame: use some more boilerplate

2011-09-23 15:26:48 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlame.h:
	  lame: port to audioencoder

2011-09-23 14:33:55 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: use some more boilerplate

2011-09-26 14:44:23 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: really report bitrate rather kbitrate

2011-09-26 14:44:01 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/lame/Makefile.am:
	* ext/lame/gstlamemp3enc.c:
	* ext/lame/gstlamemp3enc.h:
	  lamemp3enc: port to audioencoder

2011-09-16 15:35:06 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: take into account first sector of the current title
	  This fixes seeking on titles which do not start on a new file.
	  https://bugzilla.gnome.org/show_bug.cgi?id=659252

2011-09-16 15:03:54 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: fix sector seeking
	  It was overly complicated, and did not take into account the offset
	  needed for titles which do not start on a new file.
	  https://bugzilla.gnome.org/show_bug.cgi?id=659252

2011-09-16 13:42:53 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: fix sector search for packed titles
	  Some DVD titles are packed in a single set, and we need to use
	  the correct table to map times to sectors.
	  https://bugzilla.gnome.org/show_bug.cgi?id=659252

2011-08-15 16:23:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/mad/Makefile.am:
	* ext/mad/gstmad.c:
	* gst-plugins-ugly.spec.in:
	  mad: remove id3tag dependency used by in practice unreachable legacy code
	  The mad mp3 decoder element shouldn't parse tags at all really, but we
	  have so far kept this code around for backwards-compatibility reasons
	  for people building manual pipelines for some reason. However, as it
	  turns out that code has never actually worked in 0.10 in practice,
	  since it only gets executed if mad_frame_decode() returns LOSTSYNC,
	  which doesn't actually seem to happen any more though because of the
	  preceding mad_header_decode(), which will discover and report the
	  sync loss if it runs into a tag and make mad_frame_decode() try to
	  resync right away.
	  Discovered this while trying to make it use gst_tag_list_from_id3v2_tag().

2011-09-08 17:01:27 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfpacket: skip empty payload packets
	  ... which also avoids assertion failures and possible segfaults later on
	  when possibly trying to join 2 empty buffers.

2011-09-08 14:33:00 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  rmdemux: delay announcing container tags until we have pads
	  Fixes tags when transcoding.
	  https://bugzilla.gnome.org/show_bug.cgi?id=658297

2011-09-07 14:36:46 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/amrnbenc.c:
	  amrnbenc: Use complete raw audio caps in the test

2011-09-07 14:25:41 +0200  Stefan Sauer <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  docs: cleanup makefiles
	  Remove commented out parts that we don't need. Remove "the wingo addition" - no
	  so useful after all. Narrow down file-globs for plugin docs.

2011-09-06 21:25:13 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a39eb83 to 11f0cd5

2011-09-06 15:40:55 +0200  Stefan Sauer <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 605cd9a to a39eb83

2011-08-25 13:04:01 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asf: don't use fourcc

2011-08-25 12:54:42 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11

2011-08-22 17:49:14 +0100  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix spurious failure to decode some files
	  Parsing can return with an 'invalid' state, but this is not
	  actually fatal. For one, the mpeg2dec command line tool that
	  comes with the libmpeg2 library blithely ignores this condition
	  and merrily goes on. So we do this same, logging the error,
	  and going on with parsing. This makes something work that did
	  not use to work, and brings happiness to the world.
	  https://bugzilla.gnome.org/show_bug.cgi?id=429476

2011-08-19 18:07:58 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/sidplay/Makefile.am:
	* ext/sidplay/gstsiddec.cc:
	  port to new audio caps

2011-08-03 18:58:09 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  common
	  gst/asfdemux/gstrtpasfdepay.c

2011-08-03 09:05:47 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Add synaesthesia to the list of non-ported plugins

2011-08-03 01:08:43 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* gst-plugins-ugly.spec.in:
	* gst/mpegaudioparse/Makefile.am:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	* gst/mpegaudioparse/gstxingmux.c:
	* gst/mpegaudioparse/gstxingmux.h:
	* gst/mpegaudioparse/mpegaudioparse.vcproj:
	* gst/mpegaudioparse/plugin.c:
	* gst/xingmux/Makefile.am:
	* gst/xingmux/gstxingmux.c:
	* gst/xingmux/gstxingmux.h:
	* gst/xingmux/plugin.c:
	  Remove mp3parse plugin/element
	  It's been replaced by mpegaudioparse in -good. Don't want anyone
	  to spend time porting a deprecated element. Rename plugin to xingmux
	  for now until we move that somewhere else.

2011-08-02 12:49:09 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* configure.ac:
	  configure.ac: Define list of non-ported plugins

2011-08-02 12:48:52 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Fix for changes in GstQuery API

2011-08-02 12:40:22 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix for changes in GstQuery API

2011-08-02 12:40:01 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Fix print statement

2011-08-02 12:35:40 +0200  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Update common submodule

2011-07-30 18:47:44 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Properly set the stream format in setcaps
	  Do not forget to set the selected format to the options string
	  when getting it from caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=655223

2011-07-19 15:06:49 +0200  Stefan Sauer <ensonic@google.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix the build for older x264enc
	  b_fake_interlaced was introduced in x264 commit 1b48874d06 = X264_BUILD 96.

2011-07-18 20:41:20 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Read stream-format from the right place
	  Read the stream-format from "stream-format" and not from profile, also rename
	  the "bytestream" variable to "stream_format" so it's easier to understand.

2011-06-13 23:24:27 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Select stream-format based on caps
	  Makes x264 select its stream-format based on what's available
	  on caps, the user selected option will be chosen as a fallback
	  when both options are available.
	  https://bugzilla.gnome.org/show_bug.cgi?id=644233

2011-07-04 18:03:49 -0400  Olivier Crête <olivier.crete@collabora.com>

	* ext/x264/gstx264enc.c:
	  x264: Allow renegotiation but prefer current caps

2011-06-09 20:20:27 -0400  Olivier Crête <olivier.crete@collabora.com>

	* tests/check/elements/x264enc.c:
	  tests: Test x264enc profiles from the caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=644233

2011-03-07 17:58:34 -0500  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/Makefile.am:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264: Use profile and level from caps
	  Enforces the profile and level from the downstream caps, also
	  sets them on the fixated caps
	  https://bugzilla.gnome.org/show_bug.cgi?id=644233

2011-07-05 10:14:50 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  Add -DGST_USE_UNSTABLE_API to the compiler flags to avoid warnings

2011-06-25 06:29:50 +0300  Brian Gitonga Marete <marete@toshnix.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix subme property annotation - subme maximum is 10, not 6.
	  Although the element accepts subme values > 6, the annotation which is
	  visible through gst-inspect (for example) erroneously indicates 6 as the
	  maximum. Fix this by indicating 10 (which is the x264 max) as the maximum.
	  https://bugzilla.gnome.org/show_bug.cgi?id=653473

2011-06-23 11:28:58 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 69b981f to 605cd9a

2011-06-19 12:45:00 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstrtspwms.c:
	  rtspwms: Porting to 0.11

2011-06-18 20:24:42 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: Port to 0.11

2011-06-15 23:40:02 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/asfpacket.h:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Porting to 0.11

2011-06-08 18:18:17 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  siddec: port siddec to 0.11

2011-06-06 12:41:03 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: fix fragmented packet handling and packet padding
	  Also remove a bogus assert.

2011-06-03 11:35:55 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/synaesthesia/gstsynaesthesia.c:
	  synaesthesia: fix wrong debug log string (copy'n'paste)

2011-06-02 18:46:11 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  configure.ac

2011-06-02 18:43:28 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: port to new API
	  Port to new segment API.
	  Eat Caps events.
	  No need to set caps on buffers.

2011-05-20 13:32:31 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/realmedia/rmdemux.c:
	  rmdemux: target is unsigned and can't be < 0

2011-05-20 13:31:14 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/mad/gstmad.c:
	  mad: use signed when caluculating the delta
	  Avoids a <0 check for an unsigned variable.

2011-05-19 23:55:41 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	  docs: remove obsolete commented out part
	  We don't have this in the other modules and its not needed.

2011-05-19 23:38:23 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	  docs: update plugin introspection data
	  Now more files are merged and produced in a canonical fashion, which hopefully
	  creates less or no delta in the future.

2011-05-19 22:58:28 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 9e5bbd5 to 69b981f

2011-05-18 14:49:17 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/lame/Makefile.am:
	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: Post CODEC and BITRATE tags
	  Also filter any CODEC/AUDIO_CODEC tags from incoming
	  tag events.
	  Fixes bug #391543.

2011-05-18 16:10:55 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From fd35073 to 9e5bbd5

2011-05-18 12:25:01 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 46dfcea to fd35073

2011-04-27 15:20:20 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: simplify and refactor packet parsing
	  Specifically, refactor buffer padding and consider marker bit for fragment
	  assembling.

2011-04-27 15:14:00 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: avoid re-sending header
	  ... e.g. following a seek, which otherwise confuses downstream demuxer
	  expecting only a flow of data packets at this time.

2011-04-27 15:12:22 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtpasfdepay.h:
	  rtpasfdepay: remove unused field

2011-04-29 09:19:19 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: Post bitrate tag whenever the bitrate changes
	  Also send the layer/mode/emphasis/bitrate tags as an event too.

2011-05-14 10:09:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  win32: define GST_PACKAGE_RELEASE_DATETIME in win32 config.h as well

2011-05-14 10:06:31 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Back to development

=== release 0.10.18 ===

2011-05-10 10:26:50 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.18
	  Highlights:
	  - x264enc: allow changing bitrate and quantizers dynamically at runtime
	  - x264enc: proxy downstream caps restrictions upstream via get_caps()
	  - lamemp3enc: proxy downstream rate/channels restrictions upstream via get_caps()
	  - mad: allow build without libid3tag (which isn't really needed anyway)
	  - many other fixes and improvements

2011-05-04 12:39:17 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Copy the template caps, it's not allowed to increase the refcount of const caps

2011-05-04 12:30:39 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: do not leak peer pad reference

2011-05-03 15:27:43 +0100  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: No need to copy, reffing is enough

2011-05-03 14:57:16 +0100  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: get_caps function should return a copy of the caps

2011-04-30 20:07:44 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* po/da.po:
	* po/de.po:
	* po/fr.po:
	* po/uk.po:
	* win32/common/config.h:
	  0.10.17.4 pre-release

2011-04-29 15:43:47 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: remove buffer_alloc

2011-04-27 12:48:31 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* po/bg.po:
	* po/ja.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sl.po:
	* po/tr.po:
	  0.10.17.3 pre-release

2011-04-24 14:04:39 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c3cafe1 to 46dfcea

2011-04-19 19:24:23 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: port to 0.11

2011-04-19 19:23:56 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  android/amrnb.mk
	  android/amrwbdec.mk
	  android/asf.mk
	  android/mpegaudioparse.mk
	  configure.ac

2011-04-19 17:26:42 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/gst-plugins-ugly.supp:
	  tests: add suppression for lame unit test

2011-04-19 14:41:48 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	* tests/check/generic/.gitignore:
	* tests/check/generic/index.c:
	  tests: add generic index-setting test

2011-04-19 15:24:03 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: don't deadlock when setting an index

2011-04-16 23:26:27 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* po/sl.po:
	* win32/common/config.h:
	  0.10.17.2 pre-release

2011-04-16 23:23:56 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rademux.c:
	  rademux: fix two 'variable may be used uninitialized' warnings caused by -DG_DISABLE_ASSERT

2011-04-14 15:04:19 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegstream/gstmpegdemux.c:
	  mpegstream: fix unused-but-set-variable warnings with gcc 4.6

2011-04-14 15:03:56 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	  dvdread, sidplay, x264enc: fix unused-but-set-variable warnings with gcc 4.6

2011-04-14 15:03:33 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix unused-but-set-variable warnings with gcc 4.6

2011-04-13 20:31:53 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Implement getcaps function
	  This allows to set width/height/etc restrictions downstream.

2011-04-10 18:24:22 -0400  Thibault Saunier <thibault.saunier@collabora.co.uk>

	* Android.mk:
	* ext/mad/Makefile.am:
	* ext/x264/Makefile.am:
	* gst/asfdemux/Makefile.am:
	* gst/dvdlpcmdec/Makefile.am:
	* gst/dvdsub/Makefile.am:
	* gst/iec958/Makefile.am:
	* gst/mpegaudioparse/Makefile.am:
	* gst/mpegstream/Makefile.am:
	* gst/realmedia/Makefile.am:
	* gst/synaesthesia/Makefile.am:
	  android: make it ready for androgenizer
	  To build gstreamer for android we are now using androgenizer which
	  generates the needed Android.mk files.
	  Androgenizer can be found here: http://git.collabora.co.uk/?p=user/derek/androgenizer.git

2011-04-10 18:34:11 -0400  Thibault Saunier <thibault.saunier@collabora.co.uk>

	* android/NOTICE:
	* android/amrnb.mk:
	* android/amrwbdec.mk:
	* android/asf.mk:
	* android/mpegaudioparse.mk:
	  android: remove the android/ folder

2011-04-04 15:57:58 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 1ccbe09 to c3cafe1

2010-09-21 20:14:04 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Allow changing the bitrate and quantitizers dynamically
	  https://bugzilla.gnome.org/show_bug.cgi?id=621663

2010-09-21 19:33:10 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Set max bitrate in quality mode
	  https://bugzilla.gnome.org/show_bug.cgi?id=621663

2010-09-21 19:20:29 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Make it clear that constant quantizer is for debugging only
	  https://bugzilla.gnome.org/show_bug.cgi?id=621663

2011-03-25 22:34:31 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 193b717 to 1ccbe09

2011-03-25 14:57:00 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From b77e2bf to 193b717

2011-03-25 09:33:04 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From d8814b6 to b77e2bf

2011-03-25 09:09:29 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6aaa286 to d8814b6

2011-03-24 18:50:17 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 6aec6b9 to 6aaa286

2011-03-22 12:59:33 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* configure.ac:
	  configure.ac: redundant use of AC_MSG_RESULT()
	  cleaned the redundant use of AC_MSG_RESULT() in configure.ac

2011-03-18 19:34:57 +0100  Luis de Bethencourt <luis@debethencourt.com>

	* autogen.sh:
	  autogen: wingo signed comment

2011-03-15 11:02:42 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/dvdsub/gstdvdsubdec.c:
	* gst/dvdsub/gstdvdsubdec.h:
	  dvdsubdec: Rearrange buffer allocation and pushing code a bit
	  This makes the code easier to read, doesn't store every buffer
	  in the instance until the next buffer is to be drawn and
	  fixes an unitialized variable compiler warning.

2011-03-15 10:59:23 +0100  Brendan Le Foll <blefoll@fluendo.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: Output only a single buffer per subpicture and set the correct duration
	  Fixes bug #619136.

2011-03-14 18:39:35 +0100  Brendan Le Foll <blefoll@fluendo.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: Implement clipping if the video size is smaller than the subpicture size
	  Fixes bug #644704.

2011-03-11 17:45:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: build the mad plugin even if libid3tag is not available
	  ID3 tags are usually handled by id3demux, and should be handled
	  by id3demux. Tag handling in mad based on libid3tag is very basic
	  and mostly unnecessary really, so just build this plugin without
	  ID3 tag support if libid3tag is not available.

2011-03-04 13:48:02 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11

2011-03-02 13:12:11 +0200  Stefan Kost <ensonic@users.sf.net>

	* gst/mpegstream/gstdvddemux.c:
	  dvddemux: small code cleanup
	  Don't duplicate the 'if' check. Makes the 2nd condition easier to read also
	  and avoid empty 'if' when logging is disabled.

2011-02-28 19:27:21 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* configure.ac:
	  configure.ac: export plugin description more platform independent
	  Fixes #642504.

2011-02-28 18:33:34 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 1de7f6a to 6aec6b9

2011-02-26 15:02:58 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11
	  Conflicts:
	  configure.ac

2011-02-21 13:13:11 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: do not fail fatally when unlinked
	  ... as _NOT_LINKED was neither tested as fatal before nor complained about.

2011-02-21 11:05:31 +0200  Stefan Kost <ensonic@users.sf.net>

	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  index: remove conditional index support
	  Index support cannot be disabled since commit
	  4bfb1fe70c6f0d5e29c17a8eeffb02f7fd083f11
	  in core, which removed the configure flags to disable index.

2011-02-17 18:06:51 +0200  Stefan Kost <ensonic@users.sf.net>

	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	  formatting: trim trailing whitespace

2011-02-17 18:05:58 +0200  Stefan Kost <ensonic@users.sf.net>

	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* gst/mpegstream/gstmpegdemux.c:
	  index: use delta frame flags instead of 0 or none

2011-02-14 17:52:09 +0000  Sjoerd Simons <sjoerd.simons@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Don't register flags with a value of 0
	  Flags with a value of 0 aren't meaningful and will cause
	  g_value_transform to go into an endless loop when trying to
	  convert the flags to a string

2011-02-14 12:54:10 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From f94d739 to 1de7f6a

2011-02-07 19:58:45 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/amrwbdec/amrwbdec.c:
	  amrwbdec: avoid stalling on invalid frame
	  Skip 1 byte indicating invalid frame type index rather than stalling
	  on it indefinitely until EOS.
	  Fixes #639715.

2011-02-03 18:25:00 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/pipelines/lame.c:
	  tests: add unit test for lamemp3enc negotiation issue
	  https://bugzilla.gnome.org/show_bug.cgi?id=641151

2011-02-03 18:18:35 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: implement sinkpad get_caps() function to proxy rate and channels restrictions from downstream
	  The element downstream of mp3enc might only accept certain sample rates or channels,
	  make sure we relay any restrictions that do exist to upstream when it does a
	  get_caps() on the sink pad. That way upstream elements like audioresample or
	  audioconvert can pick a sample rate / channel configuration that will be accepted,
	  instead of just negotiating to the highest, which might then be rejected.
	  https://bugzilla.gnome.org/show_bug.cgi?id=641151

2011-01-30 16:17:19 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/asfpacket.c:
	  asfpacket: Avoid using broken duration extension
	  Quite a few (broken?) files have a packet duration of 1ms, which is
	  most definitely wrong for either audio or video packets.
	  We therefore avoid using that value and instead use other metrics to
	  determine the buffer duration (like using the extended stream properties
	  average frame duration if present and valid).

2011-01-27 15:33:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  win32: fix DEFAULT_AUDIOSINK, should be direct*sound*sink
	  https://bugzilla.gnome.org/show_bug.cgi?id=640705

2011-01-12 16:48:57 +0800  Yang Xichuan <xichuan.yang@tieto.com>

	* gst/mpegaudioparse/gstxingmux.c:
	  xingmux: Use FALSE instead of 0 as return value for a function returning gboolean
	  Fixes bug #639291.

2011-01-06 18:29:06 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/mpegstream/gstdvddemux.c:
	  mpegstream: increase allowable gap between streams
	  The new delay is three times as much as the old one, and just happens
	  to let me properly decode my "Princess Mononoke" DVD, on which dvdreadsrc
	  was chocking before at 5:11.
	  While there, merge the constants used in two places into a define.
	  https://bugzilla.gnome.org/show_bug.cgi?id=539708

2011-01-22 17:31:40 +0100  Miguel Angel Cabrera Moya <madmac2501@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: make tag event writable before modifying tag list in place
	  To modify an event tag is necessary to be sure that x264enc
	  has its own copy.
	  Also fix indentation.
	  https://bugzilla.gnome.org/show_bug.cgi?id=640272

2011-01-24 10:14:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Back to development

=== release 0.10.17 ===

2011-01-21 13:18:51 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.17

2011-01-18 11:11:28 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  0.10.16.4 pre-release

2011-01-14 17:37:09 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Use the proper component value for height

2011-01-11 20:42:06 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  0.10.16.3 pre-release

2011-01-11 17:09:02 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/asfdemux/asfheaders.c:
	* gst/asfdemux/asfheaders.h:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Handle new type of DRM'd asf files.
	  These are produced by the new MS PlayReady system.
	  https://bugzilla.gnome.org/show_bug.cgi?id=639226

2011-01-11 15:51:14 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From e572c87 to f94d739

2011-01-10 16:37:19 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ccbaa85 to e572c87

2011-01-10 14:54:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 46445ad to ccbaa85

2011-01-08 00:35:08 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: never disable g_assert() and cast checks for the unit tests
	  The unit tests are riddled with g_assert() and friends, make sure we
	  don't disable assert and cast checks for the unit tests even if
	  this has been specified for the rest of the code base, e.g. via
	  --disable-glib-asserts

2011-01-07 14:42:26 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.16.2 pre-release

2011-01-07 14:38:17 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update docs

2011-01-07 14:37:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/bg.po:
	* po/ca.po:
	* po/ru.po:
	  po: update translations

2011-01-07 14:33:37 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: use $LIBM instead of hardcoding -lm

2011-01-06 13:15:17 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Initialize return variable.
	  In the unlikely event that height is 0 (which is invalid) we would end up
	  never setting the flow return.

2011-01-05 16:52:03 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* gst/realmedia/rmutils.c:
	  realmedia: Fix unitialized variables on macosx

2011-01-04 10:32:05 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Handle codec/encoder tags
	  Make x264enc drop video-codec and codec tags and replace
	  encoder/encoder-version with x264 and its build number
	  Fixes #621465

2010-12-29 22:17:50 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: use gst_pad_alloc_buffer() when cropping buffers

2010-12-29 22:10:58 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: minor formatting clean-up

2010-12-29 21:42:36 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: refactor cropping code to use libgstvideo functions
	  https://bugzilla.gnome.org/show_bug.cgi?id=571146

2010-12-29 20:19:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	* ext/mpeg2dec/gstmpeg2dec.h:
	  mpeg2dec: use GstVideoFormat instead of custom enum

2010-12-29 20:15:03 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mpeg2dec/Makefile.am:
	  mpeg2dec: fix LIBADD order in Makefile.am

2010-11-19 13:01:35 -0500  Tristan Matthews <tristan@sat.qc.ca>

	* ext/x264/gstx264enc.c:
	  x264: vbv-buf-capacity should have a minimum of 0
	  x264 will clip this value internally, and users should be allowed to
	  specify a lower value than 300 ms.
	  https://bugzilla.gnome.org/show_bug.cgi?id=635291

2010-12-27 11:38:24 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: also accept YV12 input

2010-12-01 18:35:59 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: add a note to the docs about encoder latency and queues
	  https://bugzilla.gnome.org/show_bug.cgi?id=636107

2010-12-24 10:12:19 +0000  Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>

	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	  realmedia: do not use the pad buffer allocation functions in demuxers
	  Doing so can block, see https://bugzilla.gnome.org/show_bug.cgi?id=637822
	  https://bugzilla.gnome.org/show_bug.cgi?id=637932

2010-12-20 17:47:41 +0100  Edward Hervey <edward.hervey@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 169462a to 46445ad

2010-12-16 10:30:31 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mad/gstmad.c:
	  mad: If gst_pad_alloc_buffer() returns a buffer with the wrong size allocate a new one
	  Fixes bug #635461.

2010-12-15 14:56:36 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 20742ae to 169462a

2010-12-12 11:54:35 -0600  Rob Clark <rob@ti.com>

	* gst/realmedia/rmdemux.c:
	  rmdemux: set GST_BUFFER_FLAG_DELTA_UNIT properly
	  Signed-off-by: Rob Clark <rob@ti.com>

2010-12-13 16:24:09 +0200  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 011bcc8 to 20742ae

2010-11-14 10:57:21 -0800  Leo Singer <leo.singer@ligo.org>

	* configure.ac:
	  x264: uses pkg-config to locate libx264

2010-12-07 15:40:08 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	  Merge branch 'master' into 0.11

2010-12-07 15:39:32 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* tests/check/pipelines/lame.c:
	  check: don't use deprecated method

2010-12-06 18:12:51 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* android/amrnb.mk:
	* android/amrwbdec.mk:
	* android/asf.mk:
	* android/mpegaudioparse.mk:
	* configure.ac:
	  more 0.10 -> 0,11 changes

2010-12-06 12:29:12 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* configure.ac:
	  configure: open 0.11 branch

2010-12-03 17:43:25 +0100  Benjamin Gaignard <benjamin.gaignard@stericsson.com>

	* Android.mk:
	* android/NOTICE:
	* android/amrnb.mk:
	* android/amrwbdec.mk:
	* android/asf.mk:
	* android/mpegaudioparse.mk:
	  Add build system for Android

2010-11-25 19:51:50 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/realmedia/rmutils.c:
	  realmedia: Remove dead assignments

2010-11-25 19:51:40 +0100  Edward Hervey <bilboed@bilboed.com>

	* ext/mad/gstmad.c:
	  mad: Remove dead assignments

2010-11-13 12:38:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: remove bogus comment

2010-11-13 12:34:37 +0000  Thomas Green <thomasgr33n@gmail.com>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: fix handling of multi-angle streams
	  We would output all angles interleaved instead of just
	  the selected angle.
	  https://bugzilla.gnome.org/show_bug.cgi?id=539254

2010-10-28 17:01:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/Makefile.am:
	  realmedia: fix LIBS order in Makefile

2010-10-22 09:17:40 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ro.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: update for new translatable strings

2010-10-27 13:17:29 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 7bbd708 to 011bcc8

2010-10-20 20:26:45 +0200  Guillaume Emont <gemont@igalia.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: convert the position to stream time before answering to a position query

2010-10-24 14:22:39 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/realmedia/Makefile.am:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmdemux.h:
	  realmedia: Get codec name from pbutils instead of harcoding them

2010-10-22 11:29:55 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Work around a rate control issue in libx264
	  When variable framerate is disabled in libx264 (which occurs when using
	  the zerolatency tuning), libx264 ignores timestamps but still uses the
	  timebase leading to messed up rate control with our nanosecond timebase.
	  We work around this issue by setting the timebase to the reciprocal of
	  the framerate and we validate that the framerate is suitable.
	  This has been fixed upstream in libx264 but there are non-fixed versions
	  in the wild so this workaround is still needed.
	  Fixes bug #632861

2010-10-19 16:30:51 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Use gst_pad_peer_query() instead of getting the peer pad manually

2010-10-13 21:38:06 +0200  Guillaume Emont <gemont@igalia.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix position query by trusting upstream
	  Position queries are badly handled for DVDs (probably due to the division in
	  chapters): the time returned was the time since the start of chapter.
	  Now ask upstream for position queries, fall back to the old code if upstream
	  cannot answer the query.

2010-10-19 12:20:40 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/lame/gstlame.c:
	* ext/mad/gstmad.c:
	* ext/sidplay/gstsiddec.cc:
	* gst/mpegstream/gstmpegparse.c:
	  various: canonicalize property names

2010-10-19 10:06:33 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	* ext/mad/gstmad.c:
	* ext/sidplay/gstsiddec.cc:
	* ext/x264/gstx264enc.c:
	  various (ext): add a missing G_PARAM_STATIC_STRINGS flags

2010-10-19 09:49:47 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/iec958/ac3iec.c:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegstream/gstmpegparse.c:
	* gst/mpegstream/gstrfc2250enc.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rdtmanager.c:
	  various (gst): add a missing G_PARAM_STATIC_STRINGS flags

2010-10-14 12:32:16 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 5a668bf to 7bbd708

2010-10-08 12:44:52 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From c4a8adc to 5a668bf

2010-10-08 12:56:05 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5e3c9bf to c4a8adc

2010-09-29 21:24:23 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad: support reverse playback

2010-09-26 19:24:08 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/dvdread/dvdreadsrc.c:
	  dvdreadsrc: improve error messages on read errors
	  Provide proper i18n-ed error messages when a read error happens,
	  and point out that the error could be happening because the
	  DVD is scrambled.
	  https://bugzilla.gnome.org/show_bug.cgi?id=613633

2010-09-24 00:03:50 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: set plugin release datetime

2010-09-21 18:34:31 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From aa0d1d0 to 5e3c9bf

2010-09-15 20:14:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegstream/gstmpegparse.c:
	  mpegparse: re-fix flow return handling
	  Fix wrong GST_FLOW_IS_SUCCESS substitution in commit e99cb46c:
	  -  } while (GST_FLOW_IS_SUCCESS (result));
	  +  } while (result != GST_FLOW_OK);

2010-09-09 22:33:36 +0300  Stefan Kost <ensonic@users.sf.net>

	* tests/check/Makefile.am:
	* tests/check/generic/states.c:
	  tests: allow running state tests for all elements
	  Now one can use GST_NO_STATE_IGNORE_ELEMENTS=1 make generic/states.check
	  to try elements that would normaly be skipped.

2010-09-09 09:53:07 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	  New pkgconfig subdirectory needs to be added to SUBDIRS as well so it's entered and disted

2010-09-08 00:09:35 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* pkgconfig/.gitignore:
	* pkgconfig/Makefile.am:
	* pkgconfig/gstreamer-plugins-ugly-uninstalled.pc.in:
	  Add gstreamer-plugins-ugly-uninstalled-0.10.pc file so other modules can find our plugins
	  This .pc file will not be installed, it's only for uninstalled setups,
	  same thing as we do for -good. This is so other modules' unit tests can
	  find our plugins properly in an uninstalled setup.

2010-09-07 11:42:52 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From c2e10bf to aa0d1d0

2010-09-06 23:53:10 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: re-enable use of -DGST_DISABLE_DEPRECATED in git versions

2010-09-06 23:51:23 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/sidplay/gstsiddec.cc:
	  siddec: don't use GST_FLOW_IS_FATAL
	  GST_FLOW_IS_FATAL has been deprecated in core git.

2010-09-05 18:58:50 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From d3d9acf to c2e10bf

2010-09-05 12:27:02 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Require orc >= 0.4.6 for --compat

2010-09-05 12:20:22 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From ec60217 to d3d9acf

2010-08-27 18:26:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Don't use GST_FLOW_IS_FATAL()
	  And don't post error messages if allocating a buffer resulted
	  in WRONG_STATE or UNEXPECTED.

2010-08-27 18:25:31 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/mpegaudioparse/gstxingmux.c:
	  xingmux: Don't ignore WRONG_STATE and NOT_LINKED when pushing data downstream

2010-08-27 18:24:11 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/mpegstream/gstmpegparse.c:
	  mpegstream: Don't use GST_FLOW_IS_SUCCESS()

2010-08-27 18:22:45 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Don't use GST_FLOW_IS_FATAL() and GST_FLOW_IS_SUCCESS()

2010-08-27 18:19:00 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't use GST_FLOW_IS_FATAL()
	  And don't post error messages for UNEXPECTED and post an error
	  message if pulling data failed because of NOT_LINKED.

2010-09-04 13:17:53 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Back to development
	  Temporarily disable -DGST_DISABLE_DEPRECATED for git builds until
	  the code is updated for the GST_FLOW_IS_* macro deprecations.

=== release 0.10.16 ===

2010-09-02 23:59:20 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.16

2010-09-02 23:58:22 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update docs for release

2010-09-02 23:48:05 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/gl.po:
	* po/id.po:
	* po/lv.po:
	* po/ro.po:
	* po/sv.po:
	  po: update translations

2010-08-30 16:02:24 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  0.10.15.6 pre-release

2010-08-27 17:50:59 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't error out on non-critical flow returns
	  Only error out when downstream returns:
	  * NOT_SUPPORTED
	  * ERROR
	  * NOT_NEGOTIATED
	  * NOT_LINKED
	  If we got _UNEXPECTED, we push an EOS downstream (since maybe only one
	  of the streams had gone EOS) and then stop the task silently.
	  In the case of WRONG_STATE we just need to stop silently
	  https://bugzilla.gnome.org/show_bug.cgi?id=600412

2010-08-25 19:02:02 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  0.10.15.5 pre-release

2010-08-25 15:39:33 +0200  Alessandro Decina <alessandro.decina@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: propagate flow errors upstream.
	  Remove a wrong GST_FLOW_IS_FATAL call. When pushing fails, mp3parse should
	  always return the error upstream.

2010-08-21 21:42:25 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  0.10.15.4 pre-release

2010-08-13 17:24:41 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 3e8db1d to ec60217

2010-08-11 16:46:48 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  0.10.15.3 pre-release

2010-08-11 09:21:43 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix b-pyramid libx264 API boolean arg for non-boolean issue
	  In X264_BUILD >= 78, b-pyramid became a non-boolean so passing a boolean
	  argument to the option string value causes an error. For < 78 we pass the
	  boolean value, for >= 78 we use the x264_b_pyramid_names[] array which will
	  result in passing 'none' for false and 'strict' for true. Other modes can be
	  set through the option-string property for now.
	  https://bugzilla.gnome.org/show_bug.cgi?id=626577

2010-08-11 00:02:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  0.10.15.2 pre-release

2010-08-10 14:37:39 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/synaesthesia/gstsynaesthesia.c:
	  synaesthesia: code cleanups.
	  Remove unused boilerplate for signals. Use _OBJECT variants of logging macros
	  more.

2010-08-10 14:24:01 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/synaesthesia/gstsynaesthesia.c:
	  synaesthesia: use GST_BOILERPLATE macros

2010-08-10 10:59:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From bd2054b to 3e8db1d

2010-08-09 00:31:15 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264: fix printf format warning in debug message

2010-08-07 00:09:47 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	  docs: fix bug passing arguments to gtkdoc-fixref in upload target
	  Missing backslash at end of line meant we weren't passing all arguments
	  to gtkdoc-fixref and we'd get a shell error when doing 'make upload'.

2010-08-05 13:57:26 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From a519571 to bd2054b

2010-08-04 19:28:09 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Check if the compiler supports ISO C89 or C99 and which parameters are required
	  This first checks what is required for ISO C99 support and sets the relevant
	  compiler parameters and if no C99 compiler is found, it checks for a
	  C89 compiler. This enables us to check for and use C89/C99 functions
	  that gcc hides from us without the correct compiler parameters.

2010-07-29 09:41:49 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix flushing of delayed frames
	  x264_encoder_encode() should be called with a NULL picture until at least
	  x264_encoder_delayed_frames() returns 0. This fixes what appeared to be a
	  regression in make check due to the recent change in defaults which enabled
	  b-frames and b-pyramid, both of which I believe increase the number of delayed
	  frames when encoding.

2010-07-21 17:24:33 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Improve x264enc defaults
	  - medium x264 speed/quality preset
	  - threads defaults to 0 which automatically uses 1.5x number of cpu cores
	  Addresses part of bug #607798

2010-07-21 17:22:48 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Fix property description typos

2010-07-22 11:53:04 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Add some more debug info

2010-07-21 17:09:20 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Add speed-preset and [psy-]tuning properties
	  Use of a rate control method (pass, bitrate, quantizer, etc properties), a
	  preset and possibly a profile and/or tuning are now the recommended way to
	  configure x264 through x264enc.
	  If a preset/tuning are specified then these will define the default values and
	  the property defaults will be ignored. After this the option-string property is
	  applied, followed by the user-set properties, fast first pass restrictions and
	  finally the profile restrictions.
	  Addresses part of bug #607798

2010-07-21 16:56:06 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Refactor code in preparation for presets/tunings
	  - Make defaults append the appropriate default value to a string. This is
	  needed to differentiate between something user-set and the actual prop
	  default.
	  - Add an internal option string to which _set_property () cases append for the
	  majority of properties.
	  - Use gst_x264_enc_parse_options () to clean up application of settings. This
	  will make order of application with respect to the presets and tunings quite
	  simple.
	  Addresses part of bug #607798

2010-07-21 16:32:11 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Update available me types
	  Use the x264_motion_est_names[] array to populate the enum of ME types. This is
	  now self-maintaining.

2010-07-21 15:59:12 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Use new libx264 API to affect fast first pass
	  Uses new x264 API to apply reduced complexity values to the parameters to
	  increase encoding speed in the first pass of a multi-pass encode. This does
	  not impact on final quality.
	  Addresses part of bug #607798

2010-07-21 15:52:28 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Add profile property
	  In X264_BUILD >= 86 there is a new API for applying restrictions to an H.264
	  Profile. This makes it easier to achieve Baseline Profile for example.
	  Addresses part of bug #607798

2010-07-21 15:40:27 +0200  Robert Swain <robert.swain@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Add option-string property
	  Adds support for an x264 format option-string to specify advanced parameters
	  Addresses part of bug #607798

2010-07-22 13:24:37 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/mad/Makefile.am:
	  mad: use right automake variable, should be ID3TAG_{LIBS,CFLAGS} not ID3_{LIBS,CFLAGS}
	  Spotted by syntr0py.

2010-07-20 19:44:00 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: only set timebase on versions where it exists

2010-07-20 16:40:22 +0200  David Hoyt <dhoyt@llnl.gov>

	* ext/x264/gstx264enc.c:
	  x264enc: set appropriate time base
	  Fixes #624786.

2010-06-30 18:45:49 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/Makefile.am:
	  tests: add plugin loading whitelist to test environment
	  Only want to load core/-base/-ugly plugins here.

2010-06-28 16:12:12 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* autogen.sh:
	* configure.ac:
	  Bump automake requirement to 1.10 and autoconf to 2.60
	  For maintainability reasons and $(builddir).
	  See #622944.

2010-06-28 09:34:30 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix seeking after last commits
	  Don't handle wrong-state returns as errors to allow seeking to work
	  again.

2010-06-24 19:46:39 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Push all pending data on EOS
	  When on push mode and receiving an EOS event, asfdemux
	  should push all pending data because we might be dealing
	  with a broken file that has a preroll value higher
	  than its actual length.

2010-06-24 19:29:17 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix sending eos event for chained asfs
	  Properly push EOS event when finishing a chained asf file
	  in pull mode
	  Fixes #599718

2010-06-24 20:55:33 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-rmdemux.xml:
	  docs: add rmdemux to docs properly
	  The plugin has been renamed, remove old introspection file.

2010-06-24 18:04:15 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/inspect/plugin-x264.xml:
	  docs: update for recent x264enc changes

2010-06-24 18:03:21 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: fix compiler warning when debugging system in core is disabled

2010-06-24 15:09:44 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 73ff93a to a519571

2010-06-23 11:05:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Allow at least 500ms of preroll.
	  Some files have insanely low preroll values which break the
	  all_streams_prerolled() logic.
	  Fixes #622407

2010-06-22 11:41:42 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: add new h264 caps attribute alignment
	  See #606662.

2010-06-18 14:35:00 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: conditionally expose enhanced upstream capabilities
	  API: GstX264Enc:sliced-threads
	  API: GstX264Enc:sync-lookahead
	  API: GstX264Enc:intra-refresh
	  API: GstX264Enc:mb-tree
	  API: GstX264Enc:rc-lookahead
	  See #607798.

2010-06-17 16:48:59 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	  docs: update introspected plugin docs for gstdoc-scangobj and other changes
	  Update common for latest gstdoc-scangobj and inspect xml files for
	  escaping and pad template order changes.

2010-06-15 16:50:21 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 9339ccc to 35617c2

2010-06-15 16:54:42 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 5adb1ca to 9339ccc

2010-06-15 16:35:49 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 57c89b7 to 5adb1ca

2010-06-15 15:50:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From c804988 to 57c89b7

2010-06-14 16:59:25 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* gst/realmedia/rtspreal.c:
	  configure: Update required GLib version to 2.20

2010-06-14 15:33:14 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Call orc_init() before trying to get target flags

2010-06-14 14:34:56 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Remove debug printf...

2010-06-14 14:34:25 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/a52dec/Makefile.am:
	* ext/a52dec/gsta52dec.c:
	  a52dec: Use orc for CPU feature detection and don't check for liboil

2010-06-14 13:27:47 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use GLIB_EXTRA_CFLAGS

2010-06-14 13:05:25 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7a0fdf5 to c804988

2010-06-14 11:35:03 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 6da3bab to 7a0fdf5

2010-06-12 08:29:28 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 733fca9 to 6da3bab

2010-06-09 12:40:26 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fad145b to 733fca9

2010-06-09 12:34:18 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 47683c1 to fad145b

2010-06-05 14:11:30 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: pass bitrate on caps
	  Set the bitrate on the caps, some decoders like sipro need this to function
	  properly.
	  Fixes #620007

2010-06-01 23:49:37 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From 17f89e5 to 47683c1

2010-06-01 22:55:22 -0700  David Schleef <ds@schleef.org>

	* common:
	  Automatic update of common submodule
	  From fd7ca04 to 17f89e5

2010-05-31 16:57:42 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Only set i_weighted_pred on versions where it exists

2010-05-20 11:28:47 -0400  Tristan Matthews <tristan@sat.qc.ca>

	* ext/lame/gstlamemp3enc.c:
	  lamemp3enc: implement latency query
	  The encoder's latency is deduced from the framesize. Fixes #618896.

2010-06-01 09:30:33 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.signals:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Back to development

=== release 0.10.15 ===

2010-05-30 14:21:02 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.15

2010-05-30 14:20:02 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2010-05-30 12:10:29 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: make implicit GLib and liboil requirements explicit
	  core/base 0.10.26 require GLib >= 2.18 and liboil >= 0.3.14

2010-05-26 23:16:46 -0400  Olivier Crête <tester@tester.ca>

	* ext/x264/gstx264enc.c:
	  x264enc: disable I weighted pred
	  If it is enabled, then it will be main profile instead of baseline.
	  This ensures maximum compatibility of the output stream until the
	  encoder configuration interface gets an overhaul with explicit
	  output profile selection.
	  Fixes #619776.

2010-05-26 12:16:16 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.14.3 pre-release

2010-05-26 11:52:53 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  po: update translations

2010-05-26 11:55:58 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 357b0db to fd7ca04

2010-05-14 20:06:46 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.14.2 pre-release

2010-05-14 18:25:38 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 4d67bd6 to 357b0db

2010-05-14 16:02:47 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rmutils.c:
	* gst/realmedia/rmutils.h:
	  rmdemux: add better sipr nibble swap routine

2010-05-13 17:57:57 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: descramble SIPR before pushing out
	  Collect and descramble the SIPR packets before pushing.
	  Descramble ATRAC audio.
	  Fixes #618098

2010-05-13 17:57:02 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmutils.c:
	* gst/realmedia/rmutils.h:
	  rm: add function to descramble sipr

2010-01-08 20:51:56 -0500  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Re-send the received upstream event as-is downstream
	  https://bugzilla.gnome.org/show_bug.cgi?id=606689

2010-05-07 15:33:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/amrnb/amrnb.c:
	  amrnbenc: Set rank to GST_RANK_SECONDARY

2010-04-30 19:53:15 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rtspreal.c:
	  rtspreal: use GLib's base64 functions if available
	  Since gst_rtsp_base64_decode_ip() just got deprecated in -base git.

2010-04-28 17:10:36 +0400  Руслан Ижбулатов <lrn1986@gmail.com>

	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.h:
	* ext/amrwbdec/amrwbdec.h:
	  amr: Use correct includes (as pkg-config suggests)
	  Fixes #617078

2010-04-27 13:15:47 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/ac3parse/.gitignore:
	* gst/ac3parse/Makefile.am:
	* gst/ac3parse/README:
	* gst/ac3parse/ac3parse.vcproj:
	* gst/ac3parse/gstac3parse.c:
	* gst/ac3parse/gstac3parse.h:
	  ac3parse: remove unported 0.8 plugin
	  New ac3parse lives in gst-plugin-bad. Remove this to avoid confusion.

2010-04-27 12:25:37 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  docs: adding a mp3decoder as well is useful

2010-04-27 11:39:51 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	  docs: massage section index

2010-04-27 11:39:11 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	  amrwbdec: move define to source to avoid hiding it from the docs

2010-04-27 11:38:28 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/cdio/gstcdiocddasrc.c:
	  docs: remove short_desc, it is taken from element details

2010-04-27 11:37:52 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/synaesthesia/gstsynaesthesia.c:
	  docs: fix sections docs for synaesthesia

2010-04-27 11:02:15 +0300  Stefan Kost <ensonic@users.sf.net>

	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  docs: add docs for mp3parse

2010-04-20 17:23:04 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-plugins-ugly.doap:
	  doap: update repository info from cvs->git and maintainers

2010-04-23 14:41:42 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From fc85867 to 4d67bd6

2010-04-13 16:59:03 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* tests/check/elements/x264enc.c:
	  x264enc: adaptive NALU type checking
	  In particular, be less picky about SEI NALU order, which makes test more
	  robust with respect to changes in libx264.
	  See also #615410.

2010-04-16 21:10:58 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: adaptive x264 header NAL layout handling
	  Fixes #615410.

2010-04-15 16:31:23 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  asfdepay: we require a dynamic payload type
	  Add an extra caps property that restricts the depayloader to only accept dynamic
	  payload types.

2010-04-15 07:20:20 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* configure.ac:
	  configure: Drop -Wcast-align
	  Commit message copied from core's commit from Benjamin Otte:
	  246f5dba96a5b50bb74621af67b30942cca72af5
	  Apparently gcc warns that GstMiniObject is not castable to
	  GstEvent/Message/Buffer due to them containing 64bit variables, even
	  though ARM hackers claim that those only need 4byte alignment. And as
	  long as gcc behaves that way, this warning is not very useful.
	  So we'll remove the warning until this problem is fixed.
	  Fixes #615698

2010-04-14 09:27:14 +0200  Edward Hervey <bilboed@bilboed.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: copy over all buffer flags when copying buffers.
	  Avoids losing the tff/rff video buffer flags

2010-03-14 12:16:21 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Make a table static to avoid having to always allocate it.

2010-04-13 16:31:25 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: fix up avcC header construction
	  Fix off-by-one introduced by commit 35dd89951d8bb1c094da65480e4197efdfb4e93c
	  for BUILD_X264 < 76.
	  Also fixes #610089.

2010-04-13 13:16:41 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: parameterize libx264 provided NAL layout in codec-data creation

2010-04-12 12:43:05 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure: Remove -Wundef flag
	  Same fix as for #615161

2010-04-09 11:23:22 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From fdf023d to fc85867

2010-04-09 09:55:14 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst-libs/gst/gettext.h:
	  i18n: #if ENABLE_NLS -> #ifdef ENABLE_NLS to fix compiler warning

2010-03-30 00:36:38 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	* ext/Makefile.am:
	* gst/Makefile.am:
	  build: build plugins in parallel where possible, if make -jN is used

2010-03-26 17:08:23 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	  build: add cruft alert for common/shave*

2010-03-25 19:40:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* win32/MANIFEST:
	  Fix make distcheck
	  Remove removed file win32/common/config.h.in from MANIFEST.

2010-03-24 19:35:03 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/synaesthesia/synaescope.c:
	* gst/synaesthesia/synaescope.h:
	  synaestesia: Fix old-style prototype

2010-03-24 19:07:11 +0300  Руслан Ижбулатов <lrn1986@gmail.com>

	* gst/realmedia/rmutils.c:
	  Fix pointer type.
	  Fixes #613815

2010-03-24 18:55:32 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 55cd514 to c1d07dd

2010-03-24 11:27:40 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/cdio/gstcdiocddasrc.h:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlame.h:
	* ext/lame/gstlamemp3enc.h:
	* ext/lame/plugin.c:
	* ext/mad/gstmad.c:
	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstxingmux.c:
	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/mpegstream/gstmpegparse.c:
	* gst/realmedia/asmrules.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/pnmsrc.h:
	* gst/realmedia/rdtdepay.h:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rtspreal.c:
	  build: Add all kinds of compiler warning flags and fix the resulting warnings

2010-03-19 00:03:53 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/amrnb/Makefile.am:
	* ext/amrwbdec/Makefile.am:
	* ext/sidplay/Makefile.am:
	* gst/asfdemux/Makefile.am:
	* gst/mpegaudioparse/Makefile.am:
	  build: fix up Makefile.am
	  Mostly just add $(GST_BASE_CFLAGS) where they're missing and fix
	  the order a bit here and there (see docs/random/moving-plugins).

2010-03-19 00:02:40 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* win32/common/config.h.in:
	  win32: remove win32-specific config.h.in copy that's not used any longer
	  The win32 config.h is now generated from the top-level config.h.in.

2010-03-18 15:53:14 +0100  Benjamin Otte <otte@redhat.com>

	* ext/a52dec/gsta52dec.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/cdio/gstcdiocddasrc.c:
	* ext/dvdread/dvdreadsrc.c:
	* ext/lame/gstlame.c:
	* ext/mad/gstmad.c:
	* ext/mpeg2dec/gstmpeg2dec.c:
	* gst/ac3parse/gstac3parse.c:
	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstrtpasfdepay.c:
	* gst/asfdemux/gstrtspwms.c:
	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	* gst/iec958/ac3iec.c:
	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstxingmux.c:
	* gst/mpegstream/gstdvddemux.c:
	* gst/mpegstream/gstmpegdemux.c:
	* gst/mpegstream/gstmpegparse.c:
	* gst/mpegstream/gstrfc2250enc.c:
	* gst/realmedia/pnmsrc.c:
	* gst/realmedia/rademux.c:
	* gst/realmedia/rdtdepay.c:
	* gst/realmedia/rdtmanager.c:
	* gst/realmedia/rmdemux.c:
	* gst/realmedia/rtspreal.c:
	* gst/synaesthesia/gstsynaesthesia.c:
	  gst_element_class_set_details => gst_element_class_set_details_simple

2010-03-16 15:05:06 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Put pixel-aspect-ratio from input into the src pad caps
	  Fixes bug #612995.

2010-03-12 13:59:53 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From e272f71 to 55cd514

2010-03-11 11:21:19 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From df8a7c8 to e272f71

2010-03-10 22:13:45 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	  Update CXXFLAGS, too

2010-03-10 21:01:20 +0100  Benjamin Otte <otte@redhat.com>

	* configure.ac:
	  Update for recent changes to common submodule
	  This just replaces every "$ERROR_CFLAGS" usage with a usage of
	  "$WARNING_CFLAGS $ERROR_CFLAGS" to get the same functionality as
	  previously.
	  Actually using that separation will happen later.

2010-03-10 21:52:30 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 9720a7d to df8a7c8

2010-03-10 20:44:18 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 0b6e072 to 9720a7d

2010-03-10 16:10:17 +0100  Benjamin Otte <otte@redhat.com>

	* common:
	  Automatic update of common submodule
	  From 7cc5eb4 to 0b6e072

2010-03-10 01:10:52 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 7aa65b5 to 7cc5eb4

2010-03-09 21:40:26 +0000  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 44ecce7 to 7aa65b5

2010-02-26 15:43:58 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Use automake 1.11 silent rules instead of shave if available
	  This makes sure that we use something that is still maintained and
	  also brings back libtool 1.5 support.

2010-03-09 17:42:11 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Back to development

=== release 0.10.14 ===

2010-03-06 01:13:25 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.14

2010-03-06 01:10:09 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/el.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sl.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2010-03-03 22:52:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.13.4 pre-release

2010-02-22 19:13:11 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* tests/check/elements/x264enc.c:
	  x264enc: Replace 'avc-sample' with 'avc' in caps
	  In the element and in its tests
	  Fixes #606662

2010-03-01 14:07:20 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't set durations of 0 on outgoing buffers.
	  Some (broken) streams don't have the extended stream properties in
	  the header, resulting in applying a duration of zero on outgoing
	  buffers.
	  Fixes #611473

2010-03-01 14:05:58 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Make sure we always set proper payload duration.
	  Some (broken) streams will have a delta of 0, resulting in outgoing
	  buffers having durations of 0.
	  Fixes #611473

2010-02-24 01:40:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.13.3 pre-release

2010-02-19 10:13:34 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Make sure we don't end up with negative timestamps.
	  Some files have payload with timestamps smaller than the preroll duration.
	  Instead of blindly substracting the preroll value (and ending up with
	  insanely high timestamps on the outgoing buffers), we make sure we
	  never go below 0.
	  Fixes #610432

2010-02-19 01:07:08 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* win32/common/config.h:
	  0.10.13.2 pre-release
	  Update core/base requirement to 0.10.26, since that's more likely
	  to be the actual requirement.

2010-02-19 01:06:44 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* po/LINGUAS:
	* po/el.po:
	* po/sl.po:
	  po: update translations

2010-02-16 14:08:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* tests/check/elements/x264enc.c:
	  x264enc: add caps check to x264enc unit test
	  Add some minimal caps checking to x264enc unit test.
	  See #610089.

2010-02-16 13:25:11 +0000  Vittorio Palmisano <vpalmisano@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: fix up avcC header construction and playback by flash players
	  Fix off-by-one bug when constructing the avcC header chunk: we
	  wrote wrong profile info into the header. The first byte in the
	  SPS NAL we get from x264 is the nal type, not the profile_idc.
	  Also add some debug logging.
	  Fixes #610089.

2010-02-16 12:59:54 +0100  Robert Swain <robert.swain@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Improve seek behaviour for audio-only with no index
	  Instead of seeking to seek_time - 5s in the hope of hitting a keyframe
	  for video, we can just seek to seek_time instead.

2010-02-16 00:24:32 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: fix up GST_CXXFLAGS properly
	  We don't want C specific flags in GST_CXXFLAGS, so base it on the
	  GST_CFLAGS that only contains the pkg-config CFLAGS but none of
	  the GST_OPTION_CFLAGS. Also, we only need the local includes once.

2010-02-11 01:12:43 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* MAINTAINERS:
	  Update MAINTAINERS, add myself

2010-02-15 23:16:32 +0200  Stefan Kost <ensonic@users.sf.net>

	* configure.ac:
	  configure: base GST_CXXFLAGS on --cflags from pkg-config
	  pkg-config sets GST_CFLAGS and GST_LIBS. We need to use CFLAGS as a starting
	  point for for both C and CXX settings.

2010-02-14 23:18:44 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 96dc793 to 44ecce7

2010-02-01 01:33:22 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* Makefile.am:
	* configure.ac:
	* win32/common/.gitignore:
	* win32/common/config.h:
	  win32: change how win32/common/config.h is updated
	  Generate win32/common/config.h-new directly from config.h.in,
	  using shell variables in configure and some hard-coded information.
	  Change top-level makefile so that 'make win32-update' copies the
	  generated file to win32/common/config.h, which we keep in source
	  control. It's kept in source control so that the git tree is
	  buildable from VS.
	  This change is similar to the ones applied a while ago to GStreamer
	  core, gst-plugins-base and gst-plugins-good and prevents configure
	  from changing files in source control. The generated config.h
	  should be ok, but needs testing.

2010-01-31 13:03:33 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rtspreal.c:
	  rtspreal: don't construct config header with uninitialised bytes
	  Turns out 4 + 4 + 2 + (4 * 2) is actually 18 and not 22. This avoids
	  a presumably unintentional padding of uninitialised bytes at the end
	  of the CONT tags chunk, which should be harmless but causes warnings
	  in valgrind (see #608533 for a test URL).

2010-01-30 19:12:24 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rtspreal.c:
	  rtspreal: add finalize function so we can free streams and rulebook
	  Fix memory leak in Real RTSP component (#608533).

2010-01-30 19:10:45 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rtspreal.c:
	  rtspreal: fix minor memory leak
	  Caps take their own reference when a buffer is added to them, so
	  unref buffer after adding it to caps (#608533).

2010-01-30 19:06:34 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/realmedia/rdtdepay.c:
	  rdtdepay: unref input buffer when done
	  Fixes memory leak, see #608533.

2010-01-30 15:19:56 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 15d47a6 to 96dc793

2010-01-29 19:47:03 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: make use of Access Unit delimiters configurable
	  API: GstX264Enc:aud

2010-01-22 15:40:28 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: Do not subtract padding twice
	  Only subtract implicit padding if an explicit one isn't
	  provided. Avoids subtracting it twice and causing
	  parsing errors.
	  Fixes #607698

2010-01-22 16:55:14 +0200  Stefan Kost <ensonic@users.sf.net>

	* gst/asfdemux/gstasfdemux.c:
	* gst/mpegstream/gstmpegpacketize.c:
	  assert: g_assert_not_reached() cannot replace return statement
	  Fix build with assert being turned off.

2010-01-20 00:55:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 14cec89 to 15d47a6

2010-01-18 18:01:55 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't forget to update flow variable
	  Forgot to update the return value in the loop.

2010-01-18 17:49:06 +0100  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Check flow return on every push
	  We previously only aggregated flow returns after the while(push) loop,
	  which meant that in some cases we would end-up not properly aggregating
	  the flow returns.
	  This is based on the same flow aggregation algorithm as oggdemux.

2010-01-11 16:14:44 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: Add stream-format to output caps
	  Adds stream-format to output caps of x264enc that
	  informs if the stream is in bytestream of avc format.
	  Fixes #606662

2010-01-11 12:23:35 +0100  Arnaud Patard <apatard@mandriva.com>

	* gst/mpegaudioparse/gstxingmux.c:
	  xingmux: Fix unaligned memory access
	  ARM/SPARC need 32bit alignment but xingmux accesses possibly
	  unaligned memory, which leads to SIGBUS.
	  Fixes bug #586464.

2010-01-07 14:36:47 -0800  Michael Smith <msmith@songbirdnest.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Use GST_STR_NULL in a couple of places.
	  Fixes crashing on some of the log statements on win32.

2010-01-07 16:36:08 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: Parse and post bitrate for streams
	  Parse the bitrate of the streams and post their tags.
	  Fixes #599299

2010-01-07 13:54:21 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Post bitrate tag
	  If stream bitrate object is available, post the bitrate
	  tags.
	  Fixes #599297

2010-01-04 15:19:25 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	  mp3parse: minor validation check of (Xing, VBRI) metadata
	  ... to detect e.g. a truncated file, rendering some of the metadata invalid.

2010-01-04 14:59:06 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: use proper total_time and total_bytes in various cases
	  The correct basis for (Xing, VBRI) seek table calculations is the
	  byte size and duration provided by that metadata, rather than some
	  other (possibly even estimated) one.  This also prevents an infinite
	  conversion loop in (unlikely) case where a TOC is provided without
	  such corresponding (duration) metdata.

2009-12-08 19:55:04 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	  mp3parse: conserve stop time for non-accurate seek
	  Use the same strategy as accurate seeks to store
	  pending non-accurate seeks to avoid overwriting non-definite
	  stop times. When doing non-accurate seeks our position
	  reporting might drift off by some secs and the stream can
	  end up before it should.
	  Fixes #603695

2009-12-21 19:12:59 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 47cb23a to 14cec89

2009-12-18 16:04:12 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/amrwbdec/amrwb.c:
	  amrwbdec: give decoder a rank so decodebin/playbin will use it

2009-12-08 19:01:50 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: return false when we can't seek
	  When upstream can't seek, we return false as well

2009-12-02 11:21:22 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* ext/lame/gstlame.c:
	* ext/lame/gstlamemp3enc.c:
	  lame: Avoid crash when seeking before negotiating
	  lame's 'lgv' variable is only initialized when the caps
	  is negotiated, whenever a seek happens before that, it would
	  attempt to call a function on an empty pointer, causing the crash.
	  Fixes #603515

2009-12-01 15:08:07 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 87bf428 to 47cb23a

2009-12-01 14:17:50 +0100  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From da4c75c to 87bf428

2009-11-27 18:56:13 +0100  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From 53a2485 to da4c75c

2009-11-26 15:54:45 +0100  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: fix non-flushing seek
	  Specifically, in addition to clearing lots of variables/offsets
	  when receiving newsegment, also clear leftover data to match.

2009-11-20 21:32:31 -0500  Olivier Crête <olivier.crete@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  x264enc: Make upstream GstForceKeyUnit thread-safe
	  Also send the GstForceKeyUnit event downstream when an upstream on is received,
	  allowing muxers or payloaders to take appropriate actions.
	  https://bugzilla.gnome.org/show_bug.cgi?id=602556

2009-11-19 10:31:25 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From a3e3ce4 to 53a2485

2009-11-18 09:58:39 +0100  Benjamin Gaignard <benjamin@gaignard.net>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Don't call strlen() on NULL pointers
	  Fixes bug #602280.

2009-11-09 15:02:05 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Remove old pads when new ones are added
	  The old pads were being removed before adding the new ones,
	  we should add the new ones first.
	  Fixes #599718

2009-11-09 13:30:45 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Handle chained asfs on pull mode
	  Adds chained asfs handling to pull mode. It now checks if
	  there is a new asf header after the last packet (when it
	  is possible to know how many packets are) or it tries
	  checking if a processed packet that fails is an header
	  object.
	  Fixes #599718

2009-11-09 10:24:46 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: properly do chained asfs on push mode
	  To properly do chained asfs work with playbin2, we need to
	  push eos on the old pads before removing them.
	  Fixes #599718

2009-10-27 17:48:03 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: add support for chained asfs (push mode)
	  Adds support for detecting and playing chained asfs
	  in push mode. asfdemux tries to detect a new asf start
	  by identifying the header object guid in a input buffer.
	  When it finds it, it resets its state, removing its pads
	  and creates new ones for the new file.

2009-11-05 18:33:09 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix two small leaks

2009-11-05 18:19:58 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: prefer WM/TrackNumber over WM/Track, it's more reliable
	  WM/Track has a 0 base but is often wrongly written as starting from 1,
	  so not as reliable as WM/TrackNumber which always starts from 1.

2009-11-05 18:11:55 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: WM/Track starts counting from 0, adjust to start from 1

2009-11-05 18:11:14 +0000  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: map WM/TrackNumber to GST_TAG_TRACK_NUMBER as well
	  There's both WM/Track and WM/TrackNumber.

2009-11-04 15:52:09 +0000  Jan Schmidt <thaytan@noraisin.net>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Fix debug statement: Pass pos variable instead of time() function

2009-11-04 15:50:17 +0000  Jan Schmidt <thaytan@noraisin.net>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: Fix printf format string warning

2009-11-04 15:46:04 +0000  Jan Schmidt <thaytan@noraisin.net>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix bogus variable used uninitialised warnings

2009-11-04 13:55:39 +0000  Jan Schmidt <thaytan@noraisin.net>

	* po/Makevars:
	  po: Don't create backup .po files
	  As well as preventing creation of useless backup files, it works
	  around a bug in gettext 0.17 on OS/X

2009-10-29 11:39:13 -0700  Michael Smith <msmith@songbirdnest.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: fix c99-style comments.

2009-10-29 10:34:17 -0700  Michael Smith <msmith@songbirdnest.com>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: accept fragments in a continued packet where the subsequent fragments declare a size of 0. Fixes bug 600037.

2009-10-27 12:33:24 +0100  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/realmedia/rmutils.c:
	  rmutils: fix byteswapping
	  fix the byteswapping code that was wrong because of the side effects of the
	  READ/WRITE macros.
	  Fixes #599676

2009-10-20 20:00:44 +0100  Robert Swain <robert.swain@gmail.com>

	* ext/x264/gstx264enc.c:
	  x264enc: Adapt to slightly modified x264 API
	  Fixes #599095.

2009-10-26 17:31:19 -0300  Thiago Santos <thiago.sousa.santos@collabora.co.uk>

	* gst/asfdemux/asfpacket.c:
	  asfdemux: careful to avoid crash on bogus data
	  When receiving bogus data, we have to avoid subtracting a value
	  larger than 'size' from 'size' variable, resulting in a wrap
	  that would make 'size' a really large bogus value.
	  Fixes #599333

2009-10-26 00:56:37 +0000  Jan Schmidt <thaytan@noraisin.net>

	* win32/common/config.h:
	  win32: Commit bumped version number

2009-10-17 13:46:13 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mpegaudioparse: Don't use expensive glib ways to get an enum nick.
	  Fixes #598761
	  This removes a good 50% of processing time for parsing a buffer.
	  We do this by simply... getting the nicks that we already have handy
	  instead of going through the expensive glib system.

2009-10-24 20:36:41 +0200  Edward Hervey <bilboed@bilboed.com>

	* configure.ac:
	  configure.ac: And back to development we go...

=== release 0.10.13 ===

2009-10-21 17:16:00 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* common:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* gst-plugins-ugly.doap:
	* win32/common/config.h:
	  Release 0.10.13

2009-10-21 17:02:42 +0100  Jan Schmidt <thaytan@noraisin.net>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2009-10-16 10:16:55 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From 85d1530 to 0702fe1

2009-10-15 23:56:55 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* win32/common/config.h:
	  0.10.12.3 pre-release

2009-10-14 10:41:48 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	  Automatic update of common submodule
	  From a3e3ce4 to 85d1530

2009-10-13 13:05:32 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Fix reference leak on all input buffers in 'dvd mode'
	  https://bugzilla.gnome.org/show_bug.cgi?id=598272

2009-10-12 13:54:27 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* configure.ac:
	* po/LINGUAS:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/de.po:
	* po/en_GB.po:
	* po/es.po:
	* po/eu.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/lv.po:
	* po/ms.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* win32/common/config.h:
	  0.10.12.2 pre-release

2009-10-12 11:31:22 +0100  Jan Schmidt <thaytan@noraisin.net>

	* docs/plugins/gst-plugins-ugly-plugins.args.new:
	* docs/plugins/gst-plugins-ugly-plugins.signals.new:
	  docs: Remove files accidentally added
	  Remove the gst-plugins-ugly-plugins.args.new and
	  gst-plugins-ugly-plugins.signals.new files, that appear
	  to have been accidentally added in commit
	  f5d046a0b034f9bd7274291f7131ee5db1a30052

2009-09-16 00:00:28 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Add some debugging for new segment events

2009-10-11 16:18:37 +0200  Josep Torra <n770galaxy@gmail.com>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: fix warning in macosx snow leopard

2009-10-11 16:16:09 +0200  Josep Torra <n770galaxy@gmail.com>

	* gst/mpegstream/gstmpegparse.c:
	  mpegstream: fix warning in macosx snow leopard

2009-10-11 16:14:08 +0200  Josep Torra <n770galaxy@gmail.com>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mpegaudioparse: fix warning in macosx snow leopard

2009-10-11 16:09:11 +0200  Josep Torra <n770galaxy@gmail.com>

	* gst/dvdsub/gstdvdsubdec.c:
	  dvdsubdec: fix warning on macosx snow leopard

2009-10-11 16:06:25 +0200  Josep Torra <n770galaxy@gmail.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix warning in macosx snow leopard

2009-10-08 19:58:25 +0300  René Stadler <rene.stadler@nokia.com>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: don't fail SEEKING query when upstream query fails for TIME format

2009-10-08 11:01:03 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From 19fa4f3 to a3e3ce4

2009-10-07 14:22:09 +0300  Stefan Kost <ensonic@users.sf.net>

	* gst/asfdemux/gstasfdemux.c:
	* gst/realmedia/rdtmanager.c:
	  build: fprintf, sprintf, sscanf need stdio.h

2009-10-02 18:27:11 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/mad/gstmad.c:
	  mad: add missing include to fix the build

2009-10-05 12:13:51 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/dvdlpcmdec/gstdvdlpcmdec.c:
	  dvdlpcm: whitespace fixes

2009-10-04 22:51:41 +0100  Christian F.K. Schaller <christian.schaller@collabora.co.uk>

	* gst-plugins-ugly.spec.in:
	  update spec file

2009-10-02 15:22:38 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* configure.ac:
	  x264enc: adjust configure checking to changed upstream

2009-10-01 18:58:42 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  x264enc: conditionally adjust to new upstream API
	  Fixes #596517.

2009-09-24 17:49:52 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	  mpegaudioparse: prevent infinite (re)syncing
	  Conflicts:
	  gst/mpegaudioparse/gstmpegaudioparse.c

2009-09-22 12:13:38 -0700  Michael Smith <msmith@songbirdnest.com>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mp3parse: Refactor checking for sync. Make resyncing more reliable.
	  Previously, we could get false sync relatively easily - it sometimes happened
	  on real files. This cleans the code up a fair bit, and makes it require more
	  confirmation that we've found valid sync before continuing.

2009-09-17 16:12:29 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mpegaudioparse: ensure 2 valid headers in a row when resyncing

2009-09-11 10:05:02 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegstream/gstdvddemux.c:
	  dvddemux: remove bogus ifndef

2009-09-05 10:23:49 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 94f95e3 to 19fa4f3

2009-09-01 12:22:39 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/mpeg2dec/gstmpeg2dec.c:
	  mpeg2dec: Fix GstIndex handling, incl. refcounting and NULL indizes

2009-08-31 13:42:27 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/dvdsub/gstdvdsubparse.c:
	  dvdsubparse: GstAdapter is not a GstObject and should be freed with g_object_unref

2009-08-24 13:59:05 -0700  David Schleef <ds@schleef.org>

	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbenc.c:
	  Remove Ronald Bultje from Authors field
	  Replaced with "GStreamer maintainers
	  <gstreamer-devel@lists.sourceforge.net>" or just removed,
	  depending on the number of other authors.

2009-08-24 13:57:14 -0700  David Schleef <ds@schleef.org>

	* gst/asfdemux/Makefile.am:
	* gst/asfdemux/gstasfmux.c:
	* gst/asfdemux/gstasfmux.h:
	  asfdemux: Remove old non-built asfmux code
	  Remove so people don't confuse it with the new asfmux code
	  in -bad.

2009-08-23 13:35:46 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Only add the MM_ACCEL_DJBFFT flag if it's defined
	  It's not defined for older liba52 versions.

2009-08-23 13:34:32 +0200  Mart Raudsepp <leio@gentoo.org>

	* ext/a52dec/gsta52dec.c:
	  a52dec: Allow liba52 to use djbfft based IMDCT transform
	  liba52 in a52dec-0.7.4 does not have any MMX, MMXEXT or 3DNOW based
	  IMDCT transform acceleration. It does however have a software based
	  acceleration using the djbfft library (D.J. Bernstein's library for
	  fourier transforms - Extremely fast library for floating-point
	  convolution). So allow liba52 to use it through the MM_ACCEL_DJBFFT
	  flag.
	  The liba52 copy in MPlayer sources does have SSE, 3dnowext, 3dnow
	  and AltiVec implementations, but those are checked for first, and
	  djbfft is chosen only if none of those is available - good in the
	  case of some distributions including a port of the MPlayer changes
	  in their system a52dec library.
	  The down and upmix code in liba52 doesn't seem to be disturbed by
	  this additional MM_ACCEL flag and will still use MMX, SSE or 3DNOW
	  versions if passed from oil_cpu_get_flags (SSE currently is not).
	  Fixes bug #592787.

2009-08-17 17:31:10 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  amr: Use opencore-amr pkg-config files if possible
	  This makes it possible to build the plugins when the libraries
	  are installed at non-standard locations.
	  Fixes bug #591348.

2009-08-14 12:07:40 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mpegaudioparse: use metadata (xing, vbri) provided bytesize for conversions
	  Metadata provided seek tables are consistent with metadata's view of
	  total size, which typically matches real size, but need not do so
	  (e.g. a truncated file).  Fixes seeking and position reporting
	  in such truncated files (although duration based on metadata may then
	  still be incorrect).

2009-08-10 22:22:39 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	  configure: bump core/base requirements to released versions
	  to avoid confusion.

2009-08-04 10:44:43 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* configure.ac:
	  configure: Remove all mentions to the id3tag plugin which was removed

2009-08-01 08:43:21 +0200  Marvin Schmidt <marvin_schmidt@gmx.net>

	* configure.ac:
	  mad: make check for mad independent of the check for id3tag
	  Fixes bug #590432.

2009-07-31 00:25:43 -0300  Thiago Santos <thiagoss@embedded.ufcg.edu.br>

	* gst/asfdemux/gstrtpasfdepay.c:
	  rtpasfdepay: set padding size to the correct value
	  asf packets in rtp packets should come with their padding fields
	  set to 0 and the depayload must update them to the correct
	  value before pushing downstream

2009-07-27 20:12:20 +0200  Iago Toral <itoral@igalia.com>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-amrnb.xml:
	* docs/plugins/inspect/plugin-amrwbdec.xml:
	* ext/Makefile.am:
	* ext/amrnb/GstAmrnbEnc.prs:
	* ext/amrnb/Makefile.am:
	* ext/amrnb/README:
	* ext/amrnb/amrnb.c:
	* ext/amrnb/amrnbdec.c:
	* ext/amrnb/amrnbdec.h:
	* ext/amrnb/amrnbenc.c:
	* ext/amrnb/amrnbenc.h:
	* ext/amrnb/amrnbparse.c:
	* ext/amrnb/amrnbparse.h:
	* ext/amrwbdec/Makefile.am:
	* ext/amrwbdec/README:
	* ext/amrwbdec/amrwb.c:
	* ext/amrwbdec/amrwbdec.c:
	* ext/amrwbdec/amrwbdec.h:
	  amr: Add AMR-WB decoder and AMR-NB encoder and decoder
	  These are based on the OpenCore codecs.
	  Fixes bug #584890.

2009-07-24 00:43:07 +0300  Stefan Kost <ensonic@users.sf.net>

	* common:
	  Automatic update of common submodule
	  From fedaaee to 94f95e3

2009-07-22 11:10:38 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* LICENSE_readme:
	* REQUIREMENTS:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins.args.new:
	* docs/plugins/gst-plugins-ugly-plugins.signals.new:
	* docs/plugins/inspect/plugin-dvdnav.xml:
	* ext/Makefile.am:
	* ext/dvdnav/.gitignore:
	* ext/dvdnav/Makefile.am:
	* ext/dvdnav/README:
	* ext/dvdnav/dvdnavsrc.c:
	* ext/dvdnav/dvdnavsrc.h:
	* ext/dvdnav/gst-dvd:
	* ext/dvdread/dvdreadsrc.c:
	* gst-plugins-ugly.spec.in:
	* po/POTFILES.in:
	  dvdnav: remove dvdnav plugin
	  Remove dvdnav plugin, it has no future. resindvd is the plugin to
	  use for dvd playback. Note that dvdnav was never really enabled
	  in -ugly, you had to edit configure.ac to get it built.

2009-06-20 14:31:06 +0200  Sebastian Dröge <sebastian.droege@collabora.co.uk>

	* tests/check/elements/mpeg2dec.c:
	  mpeg2dec: Fix unused variables compiler warnings in unit test

2009-06-26 15:21:12 +0100  Jan Schmidt <thaytan@noraisin.net>

	* autogen.sh:
	  autogen.sh: Use printf instead of 'echo -n'. Check for automake-1.1[01]
	  Check for more automake command variants. Use printf instead of 'echo -n'
	  for portability

2009-07-13 12:24:14 -0400  Olivier Crête <olivier.crete@collabora.co.uk>

	* common:
	  Automatic update of common submodule
	  From 5845b63 to fedaaee

2009-02-10 13:25:54 +0000  Tim-Philipp Muller <tpm@mini.centricular.net>

	* .gitignore:
	  Make git ignore more files

2009-06-29 11:10:42 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Refactor multiple packet pull.
	  This also fixes a bug by which the first buffer (in a multi-packet mode)
	  passed to asf_demux_parse_packet() would have a GST_BUFFER_SIZE of the
	  full incoming buffer and not just of the single asf packet.
	  Fixes corrupted frames introduced by latest commit.

2009-06-29 10:58:49 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: use the right accurate field
	  Remove accurate variable and its faulty use because the real variable is an
	  instance variable.

2009-06-28 17:48:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/asfpacket.c:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Sprinkle branch prediction macros accross the code

2009-06-28 17:43:12 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Delay newsegment handling until we have a keyframe.
	  We now have a chance for packets to be collected before we send out the
	  newsegment. If we're not in accurate seeking (keyunit) it will set
	  the segment start/time to the keyframe's timestamp.

2009-06-28 17:39:23 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Remove useless check. We already have checked for it above.

2009-06-28 17:31:11 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: No longer queue GOPs now that seeking is fixed.
	  We now *always* seek to the keyframe just before our requested position.
	  When we encounter the first keyframe and we were not accurate (therefore doing
	  keyframe seeking), we update the segment start position to the keyframe timestamp.

2009-06-28 17:42:44 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Store the accurate seeking flag

2009-06-28 17:04:00 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Use the average frame duration for buffers without a duration.
	  This will still cause some timestamp jitter, but giving a hint as to the duration
	  rather than nothing seems to be a better idea.
	  Also, this allows some scenarios (like remuxing with asfmux) to estimate the total
	  duration using the accumulated packet duration (which will be correct).

2009-06-28 17:02:17 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Use index entry packet count to optimize seeking.
	  The simple index entries also contain the number of packets one needs
	  to retrieve at a given position to get a full keyframe. We therefore
	  use that information to retrieve all those packets in one buffer when
	  working in pull-mode.

2009-06-26 20:52:29 -0300  Thiago Santos <thiagoss@embedded.ufcg.edu.br>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Do not try to free const pointer
	  In gst_asf_demux_chain_headers, when 'goto wrong_type' was called
	  asfdemux tried to free a const pointer that had been cast to a
	  normal pointer variable.

2009-06-26 20:44:09 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Use presentation timestamp when searching in the index.
	  We need to take the preroll into account... else we end up too early.

2009-06-26 13:43:16 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	  Automatic update of common submodule
	  From f3bb51b to 5845b63

2009-06-26 13:35:38 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Convert index entry from presentation time to timestamps.
	  We weren't taking the preroll into account previously, meaning that we
	  were always seeking preroll nanoseconds too early... resulting in a lot
	  of dropped packets (which are before the start time).
	  This brings quit a bit closer to as-fast-as-possible seeking in asf files.

2009-06-26 10:58:56 +0200  Edward Hervey <bilboed@bilboed.com>

	* common:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: Fix byte array metadata handling.
	  We basically discard byte array metadata. Should be trivial to adapt
	  to storing the pointers if we need it later on.

2009-06-26 10:41:28 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Handle PAR/interlaced information stored in packet payload.
	  This is the 'other' way to store non 1/1 PAR in asf streams (by storing it
	  in the ASF Packet payload extensions).

2009-06-26 10:40:39 +0200  Edward Hervey <bilboed@bilboed.com>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: Store/Handle global metadata (not specific to one stream).
	  This allows us to store (and handle) PAR information which might be stored there.

2009-06-25 18:24:56 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	  mpegaudioparse: fix Xing inverse seek table building

2009-06-24 15:15:37 +0100  Jan Schmidt <jan.schmidt@sun.com>

	* common:
	  Automatic update of common submodule
	  From f3bb51b to f810030

2009-06-23 16:45:00 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: don't try to free a NULL taglist

2009-06-23 02:14:00 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: post tags only after we've created our source pads
	  Post global tags only after we've added our source pads, so that
	  tag events get sent downstream in addition to tag messages posted
	  on the bus. This makes sure tags can be picked up automatically
	  when transcoding, but also by tagreadbin/playbin2. Fixes #519721.
	  While we're at it, also add a container-format tag.

2009-06-23 01:37:01 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* configure.ac:
	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: use new bytereader functions for image tag parsing

2009-06-22 18:53:56 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: remove some more unused variables

2009-06-19 17:25:58 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* gst/realmedia/rmdemux.c:
	  rmdemux: plug buffer leaking

2009-06-22 17:36:21 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  asfdepay: guard against dropped buffers
	  If a buffer was dropped, we might request data from the adapter that is not
	  there and then we get a NULL buffer.

2009-06-22 17:16:58 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	* gst/asfdemux/gstasfdemux.h:
	  asfdemux: set DISCONT on streams
	  When we receive a DISCONT as input, don't clear our complete state but simply
	  mark a discont that will be put on the next buffer. The code will be able to
	  handle and throw away incomplete data.
	  Add some more debug info.
	  Remove an unused variable.

2009-06-22 17:15:52 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstrtpasfdepay.c:
	  asfdepay: set DELTA_UNIT flag correctly
	  Only set the DELTA_UNIT flag when we are not dealing with a keyframe.
	  Add some more debug info.

2009-06-22 13:37:58 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* gst/asfdemux/gstasfdemux.c:
	  asfdemux: fix latency calculations
	  We need to check for -1 as an invalid timestamp, not 1.

2009-06-16 09:45:59 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	  mp3parse: don't put every single frame into the index
	  Let's not put every single mp3 frame in our index, a few frames per
	  second should be more than enough. For now use an index interval
	  of 100ms-500ms depending on the upstream size, to keep the index at
	  a reasonable size. Factor out the code that adds the index entry
	  into a separate function for better code readability.

2009-06-16 01:40:42 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* gst/mpegaudioparse/gstmpegaudioparse.c:
	* gst/mpegaudioparse/gstmpegaudioparse.h:
	  mp3parse: assume seekability only if we know the upstream size
	  While technically upstream may be seekable even if it doesn't know
	  the exact size, I can't think of a use case where this distincation
	  is relevant in practice, so for now just assume we're not seekable
	  if upstream doesn't provide us with a size. Makes sure we don't
	  build a seek index when streaming internet radio with sources that
	  pretend to be seekable until you try to actually seek.

2009-06-19 17:46:12 +0100  Christian Schaller <christian.schaller@collabora.co.uk>

	* gst-plugins-ugly.spec.in:
	  Fix x264 requirement in SPEC file

2009-06-19 15:01:46 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* gst/realmedia/rdtmanager.c:
	  x264enc, rdtmanager: fix compilation with debugging disabled

2009-06-11 13:48:22 +0100  Jan Schmidt <thaytan@noraisin.net>

	* common:
	* docs/plugins/Makefile.am:
	  docs: Bump common. Fix comment in the docs Makefile.am

2009-06-18 20:26:04 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	* win32/common/config.h:
	  Back to development -> 0.10.12.1

2009-06-18 08:54:17 +0100  Jan Schmidt <thaytan@noraisin.net>

	* gst-plugins-ugly.doap:
	  Add 0.10.12 release to the doap file

=== release 0.10.12 ===

2009-06-18 08:34:54 +0100  Jan Schmidt <thaytan@noraisin.net>

	* ChangeLog:
	* NEWS:
	* RELEASE:
	* configure.ac:
	* docs/plugins/gst-plugins-ugly-plugins.args:
	* docs/plugins/gst-plugins-ugly-plugins.hierarchy:
	* docs/plugins/gst-plugins-ugly-plugins.interfaces:
	* docs/plugins/gst-plugins-ugly-plugins.prerequisites:
	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	* docs/plugins/inspect/plugin-x264.xml:
	* win32/common/config.h:
	  Release 0.10.12

2009-06-18 08:34:46 +0100  Jan Schmidt <thaytan@noraisin.net>

	* po/bg.po:
	* po/id.po:
	* po/it.po:
	* po/nl.po:
	* po/zh_CN.po:
	  Update .po files

2009-06-18 08:04:40 +0100  Jan Schmidt <thaytan@noraisin.net>

	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	  Update .po files

2009-06-05 22:10:02 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	* po/af.po:
	* po/az.po:
	* po/bg.po:
	* po/ca.po:
	* po/cs.po:
	* po/da.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/hu.po:
	* po/id.po:
	* po/it.po:
	* po/ja.po:
	* po/lt.po:
	* po/mt.po:
	* po/nb.po:
	* po/nl.po:
	* po/or.po:
	* po/pl.po:
	* po/pt_BR.po:
	* po/ru.po:
	* po/sk.po:
	* po/sq.po:
	* po/sr.po:
	* po/sv.po:
	* po/tr.po:
	* po/uk.po:
	* po/vi.po:
	* po/zh_CN.po:
	* win32/common/config.h:
	  0.10.11.2 pre-release

2009-06-05 22:07:31 +0100  Jan Schmidt <thaytan@noraisin.net>

	* win32/common/config.h.in:
	  win32: Remove #undef inline from the win32 config.h

2009-06-05 20:53:57 +0100  Tim-Philipp Müller <tim.muller@collabora.co.uk>

	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-mad.xml:
	* ext/mad/Makefile.am:
	* ext/mad/gstid3tag.c:
	* ext/mad/gstmad.c:
	* ext/mad/gstmad.h:
	  mad, id3mux: (re)move broken, unmaintained and unloved id3mux element
	  It will be reborn with a shiny new code base under its hood in -bad.
	  See #581756 and #565764.

2009-06-05 19:48:28 +0100  Jan Schmidt <thaytan@noraisin.net>

	* tests/check/pipelines/.gitignore:
	  gitignore: Ignore some built files in the test area

2009-06-05 19:46:17 +0100  Jan Schmidt <thaytan@noraisin.net>

	* docs/plugins/inspect/plugin-a52dec.xml:
	* docs/plugins/inspect/plugin-asf.xml:
	* docs/plugins/inspect/plugin-cdio.xml:
	* docs/plugins/inspect/plugin-dvdlpcmdec.xml:
	* docs/plugins/inspect/plugin-dvdread.xml:
	* docs/plugins/inspect/plugin-dvdsub.xml:
	* docs/plugins/inspect/plugin-iec958.xml:
	* docs/plugins/inspect/plugin-lame.xml:
	* docs/plugins/inspect/plugin-mad.xml:
	* docs/plugins/inspect/plugin-mpeg2dec.xml:
	* docs/plugins/inspect/plugin-mpegaudioparse.xml:
	* docs/plugins/inspect/plugin-mpegstream.xml:
	* docs/plugins/inspect/plugin-realmedia.xml:
	* docs/plugins/inspect/plugin-siddec.xml:
	* docs/plugins/inspect/plugin-synaesthesia.xml:
	* docs/plugins/inspect/plugin-twolame.xml:
	  docs: Update plugin inspect files

2009-06-05 19:25:54 +0100  Jan Schmidt <thaytan@noraisin.net>

	* configure.ac:
	* docs/plugins/Makefile.am:
	* docs/plugins/gst-plugins-ugly-plugins-docs.sgml:
	* docs/plugins/gst-plugins-ugly-plugins-sections.txt:
	* docs/plugins/inspect/plugin-x264.xml:
	* ext/Makefile.am:
	* gst-plugins-ugly.spec.in:
	* tests/check/Makefile.am:
	* tests/check/elements/.gitignore:
	  Moved 'x264enc' from -bad to -ugly

2009-05-25 11:18:57 +0200  Wim Taymans <wim.taymans@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  [MOVED FROM BAD 28/28] x264enc: add multipass-cache-file property
	  Fixes #583627

2009-05-09 23:47:39 +0100  Christian Schaller <christian.schaller@collabora.co.uk>

	* ext/x264/GstX264Enc.prs:
	  [MOVED FROM BAD 27/28] Remove wrong stuff from preset file

2009-05-09 12:42:25 +0100  Christian Schaller <christian.schaller@collabora.co.uk>

	* ext/x264/GstX264Enc.prs:
	  [MOVED FROM BAD 26/28] Add a more representative example preset file for x264

2009-05-07 17:53:42 +0100  Christian Schaller <christian.schaller@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  [MOVED FROM BAD 25/28] Add ranks to various muxers and encoders in -bad

2009-04-30 00:06:36 +0300  Stefan Kost <ensonic@users.sf.net>

	* ext/x264/GstX264Enc.prs:
	* ext/x264/Makefile.am:
	* ext/x264/gstx264enc.c:
	  [MOVED FROM BAD 24/28] x264enc: add preset support
	  Add preset iface and a (dummy) preset file as a starting point.

2009-04-29 16:57:36 +0200  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	* ext/x264/gstx264enc.c:
	  [MOVED FROM BAD 23/28] x264enc: add some documentation on profile

2009-04-09 23:53:39 +0200  Janin Kolenc <janin.kolenc at marand.si>

	* ext/x264/gstx264enc.c:
	* ext/x264/gstx264enc.h:
	  [MOVED FROM BAD 22/28] x264enc: add force keyframe event handling
	  Use the GstForceKeyUnit event to force a keyframe.
	  Fixes #578112.

2009-01-05 10:28:58 +0000  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	  [MOVED FROM BAD 21/28] ext/x264/gstx264enc.c: Use hyphen in property name, perform safety buffer size check prior to mem access, and some mo...
	  Original commit message from CVS:
	  * ext/x264/gstx264enc.c: (gst_x264_enc_class_init),
	  (gst_x264_enc_header_buf), (gst_x264_enc_encode_frame):
	  Use hyphen in property name, perform safety buffer size check
	  prior to mem access, and some more parentheses in macro.

2009-01-02 01:44:11 +0000  Alessandro Decina <alessandro.d@gmail.com>

	  [MOVED FROM BAD 20/28] ext/apexsink/Makefile.am: Link against -lgcrpyto for RSA_new and RSA_free.
	  Original commit message from CVS:
	  * ext/apexsink/Makefile.am:
	  Link against -lgcrpyto for RSA_new and RSA_free.
	  * ext/faac/gstfaac.c:
	  * ext/x264/gstx264enc.c:
	  Fix compiler warnings.

2008-11-14 19:52:24 +0000  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	  [MOVED FROM BAD 19/28] ext/x264/gstx264enc.c: Construct source caps in more conventional (and correct) manner.
	  Original commit message from CVS:
	  * ext/x264/gstx264enc.c: (gst_x264_enc_set_src_caps):
	  Construct source caps in more conventional (and correct) manner.

2008-11-04 12:42:30 +0000  Stefan Kost <ensonic@users.sourceforge.net>

	  [MOVED FROM BAD 18/28] Don't install static libs for plugins. Fixes #550851 for -bad.
	  Original commit message from CVS:
	  * ext/alsaspdif/Makefile.am:
	  * ext/amrwb/Makefile.am:
	  * ext/apexsink/Makefile.am:
	  * ext/arts/Makefile.am:
	  * ext/artsd/Makefile.am:
	  * ext/audiofile/Makefile.am:
	  * ext/audioresample/Makefile.am:
	  * ext/bz2/Makefile.am:
	  * ext/cdaudio/Makefile.am:
	  * ext/celt/Makefile.am:
	  * ext/dc1394/Makefile.am:
	  * ext/dirac/Makefile.am:
	  * ext/directfb/Makefile.am:
	  * ext/divx/Makefile.am:
	  * ext/dts/Makefile.am:
	  * ext/faac/Makefile.am:
	  * ext/faad/Makefile.am:
	  * ext/gsm/Makefile.am:
	  * ext/hermes/Makefile.am:
	  * ext/ivorbis/Makefile.am:
	  * ext/jack/Makefile.am:
	  * ext/jp2k/Makefile.am:
	  * ext/ladspa/Makefile.am:
	  * ext/lcs/Makefile.am:
	  * ext/libfame/Makefile.am:
	  * ext/libmms/Makefile.am:
	  * ext/metadata/Makefile.am:
	  * ext/mpeg2enc/Makefile.am:
	  * ext/mplex/Makefile.am:
	  * ext/musepack/Makefile.am:
	  * ext/musicbrainz/Makefile.am:
	  * ext/mythtv/Makefile.am:
	  * ext/nas/Makefile.am:
	  * ext/neon/Makefile.am:
	  * ext/ofa/Makefile.am:
	  * ext/polyp/Makefile.am:
	  * ext/resindvd/Makefile.am:
	  * ext/sdl/Makefile.am:
	  * ext/shout/Makefile.am:
	  * ext/snapshot/Makefile.am:
	  * ext/sndfile/Makefile.am:
	  * ext/soundtouch/Makefile.am:
	  * ext/spc/Makefile.am:
	  * ext/swfdec/Makefile.am:
	  * ext/tarkin/Makefile.am:
	  * ext/theora/Makefile.am:
	  * ext/timidity/Makefile.am:
	  * ext/twolame/Makefile.am:
	  * ext/x264/Makefile.am:
	  * ext/xine/Makefile.am:
	  * ext/xvid/Makefile.am:
	  * gst-libs/gst/app/Makefile.am:
	  * gst-libs/gst/dshow/Makefile.am:
	  * gst/aiffparse/Makefile.am:
	  * gst/app/Makefile.am:
	  * gst/audiobuffer/Makefile.am:
	  * gst/bayer/Makefile.am:
	  * gst/cdxaparse/Makefile.am:
	  * gst/chart/Makefile.am:
	  * gst/colorspace/Makefile.am:
	  * gst/dccp/Makefile.am:
	  * gst/deinterlace/Makefile.am:
	  * gst/deinterlace2/Makefile.am:
	  * gst/dvdspu/Makefile.am:
	  * gst/festival/Makefile.am:
	  * gst/filter/Makefile.am:
	  * gst/flacparse/Makefile.am:
	  * gst/flv/Makefile.am:
	  * gst/games/Makefile.am:
	  * gst/h264parse/Makefile.am:
	  * gst/librfb/Makefile.am:
	  * gst/mixmatrix/Makefile.am:
	  * gst/modplug/Makefile.am:
	  * gst/mpeg1sys/Makefile.am:
	  * gst/mpeg4videoparse/Makefile.am:
	  * gst/mpegdemux/Makefile.am:
	  * gst/mpegtsmux/Makefile.am:
	  * gst/mpegvideoparse/Makefile.am:
	  * gst/mve/Makefile.am:
	  * gst/nsf/Makefile.am:
	  * gst/nuvdemux/Makefile.am:
	  * gst/overlay/Makefile.am:
	  * gst/passthrough/Makefile.am:
	  * gst/pcapparse/Makefile.am:
	  * gst/playondemand/Makefile.am:
	  * gst/rawparse/Makefile.am:
	  * gst/real/Makefile.am:
	  * gst/rtjpeg/Makefile.am:
	  * gst/rtpmanager/Makefile.am:
	  * gst/scaletempo/Makefile.am:
	  * gst/sdp/Makefile.am:
	  * gst/selector/Makefile.am:
	  * gst/smooth/Makefile.am:
	  * gst/smoothwave/Makefile.am:
	  * gst/speed/Makefile.am:
	  * gst/speexresample/Makefile.am:
	  * gst/stereo/Makefile.am:
	  * gst/subenc/Makefile.am:
	  * gst/tta/Makefile.am:
	  * gst/vbidec/Makefile.am:
	  * gst/videodrop/Makefile.am:
	  * gst/videosignal/Makefile.am:
	  * gst/virtualdub/Makefile.am:
	  * gst/vmnc/Makefile.am:
	  * gst/y4m/Makefile.am:
	  * sys/acmenc/Makefile.am:
	  * sys/cdrom/Makefile.am:
	  * sys/dshowdecwrapper/Makefile.am:
	  * sys/dshowsrcwrapper/Makefile.am:
	  * sys/dvb/Makefile.am:
	  * sys/dxr3/Makefile.am:
	  * sys/fbdev/Makefile.am:
	  * sys/oss4/Makefile.am:
	  * sys/qcam/Makefile.am:
	  * sys/qtwrapper/Makefile.am:
	  * sys/vcd/Makefile.am:
	  * sys/wininet/Makefile.am:
	  * win32/common/config.h:
	  Don't install static libs for plugins. Fixes #550851 for -bad.

2008-10-27 17:01:22 +0000  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	  [MOVED FROM BAD 17/28] ext/x264/gstx264enc.c: Adapt to slightly modified x264 API.  Fixes #555238.
	  Original commit message from CVS:
	  * ext/x264/gstx264enc.c: (gst_x264_enc_init_encoder):
	  Adapt to slightly modified x264 API.  Fixes #555238.

2008-08-12 16:13:15 +0000  Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>

	  [MOVED FROM BAD 16/28] ext/x264/gstx264enc.*: Do not deal with duplicated input (timestamps).  If needed, a generic element can do so.
	  Original commit message from CVS:
	  * ext/x264/gstx264enc.c: (gst_x264_enc_reset),
	  (gst_x264_enc_chain), (gst_x264_enc_encode_frame):
	  * ext/x264/gstx264enc.h:
	  Do not deal with duplicated input (timestamps).  If needed,
	  a generic element can do so.
